<?PHP
include("themes/$THEME_FOLDER/header.php");
?>
<!-- content -->
<table cellspacing="4" width="100%" cellpadding="4" border="0">
<tr>
    <td valign="top">
		 <!--  left column -->
	<?PHP
  		// Print out 5 random photos
		if (sxShowHomepageComponent('Photos'))
			echo fetchRandomPhotoHTML();
	?>
   </td>
    <td rowspan="3" valign="top" width="200">
	<!-- right column -->
    <?PHP
	if ((sxShowHomepageComponent('Calendar')) OR 
	    (sxShowHomepageComponent('Polls')) OR 
		(sxShowHomepageComponent('Forums')) OR 
		(sxShowHomepageComponent('Events')) OR 
		(sxShowHomepageComponent('Comments')))
	{
		// Print mini calendar
		if (sxShowHomepageComponent('Calendar'))
		{
			echoMiniCalendar($sxMonth,$sxYear);
		}
		
		// Print current poll
		if (sxShowHomepageComponent('Polls'))
		{
			echo '<div class="sxHomepageItemName">' . $sxLang['PollsCurrentPoll'] . '</div>';
			echoCurrentPoll($vote,$viewPoll);
		}
		
		// Print out 5 most recent topics
		if (sxShowHomepageComponent('Forums'))
		{
			echo '<div class="sxHomepageItemName">' . $sxLang['ForumRecentTopics'] . '</div>';
			echoRecentTopics(5);
		}
		
		// Print out 5 closest upcoming events
		if (sxShowHomepageComponent('Events'))
		{
			echo '<div class="sxHomepageItemName">' . $sxLang['EventFilterUpcoming'] . '</div>';
			echoUpcomingEvents(5);
		}
		
		// Print out 5 most recent comments
		if (sxShowHomepageComponent('Comments'))
		{
			echo '<div class="sxHomepageItemName">' . $sxLang['CommentsRecent'] . '</div>';
			sxEchoRecentComments(5);
		}

	} ?>
	</td>
</tr>
<tr>
    <td valign="top" >
<!-- 
*******************
SEARCH OPTIONS: configure $sxThemeConfig['ShowSearchType'] in config.php.inc
*******************
-->
<!-- SHOW SEARCH TYPE 1 - search with pull-down selector: this site/google.com -->
  <?PHP if($sxSetup['ShowSearch'] AND $sxThemeConfig['ShowSearchType']== 1) { ?>
  <form action="<?PHP echo $PHP_SELF; ?>" method="post" name="sxSearch">
  <strong><?PHP echo $sxLang['HomepageSearch']; ?></strong>
	<input name="search_text" style="width:113px;" type="text" value="" />
	<select style="width:113px;" name="search_type">
	  <option value="site"><?PHP echo $sxLang['HomepageSearchSite']; ?></option>
	  <option value="google"><?PHP echo $sxLang['HomepageSearchGoogle']; ?></option> 
	</select>
	<input name="Search" type="submit" value="<?PHP echo $sxLang['ButtonFind']; ?>" class="sxButton"/>
   </form>
   <?PHP } ?>   
<!-- END SHOW SEARCH -->

<!-- SHOW SEARCH TYPE 2 - search with traditional text input and button -->
<?PHP if($sxSetup['ShowSearch'] AND $sxThemeConfig['ShowSearchType']== 2){ ?>
 <form action="<?PHP echo $PHP_SELF; ?>" method="post" name="sxSearch" style="margin: 0px; padding: 0px;">
  <strong><?PHP echo $sxLang['HomepageSearch']; ?></strong>
				<input name="search_text" style="width: 113px;" type="text" />
				 <input name="Search" type="submit" value="<?PHP echo $sxLang['ButtonFind']; ?>" class="sxButton"/> 
 </form>
<?PHP } ?>   
<!-- END SHOW SEARCH -->

<!-- SHOW SEARCH TYPE 3 - search with text input only -->
<?PHP if($sxSetup['ShowSearch'] AND $sxThemeConfig['ShowSearchType']== 3){ ?>
 <form action="<?PHP echo $PHP_SELF; ?>" method="post" name="sxSearch" style="margin: 0px; padding: 0px;">
				<input name="search_text" value="<?PHP echo $sxLang['HomepageSearch']; ?>..." onfocus="this.value='';return false;" style="width: 113px;" type="text" />
 </form>
<?PHP } ?>  
<!-- END SHOW SEARCH -->
	</td>
</tr>
<tr>
    <td valign="top">
	<!--  middle column --> 
	  <?PHP echoMessage($message); ?>
    <?PHP echo parseSpecial($sxSetup['TextWelcome']); ?>
          <?PHP if(userAdmin()){ ?>
          <div align="right"><a href="admin/home_manager.php"><?php echo $sxLang['ButtonEdit']; ?></a></div>
          <?php }?>     
    <?PHP if (componentActive(1)) { ?>
    <br /><br /><strong><?PHP echo getComponentName("1"); ?></strong><br /><br />
    <?PHP echoCurrentJournal($sxThemeConfig['HomepageJournalEntries'], $sxThemeConfig['HomepageJournalStringLimit']); ?>
    <br /><br /><?PHP } ?>
	</td>
</tr>
</table>
<?PHP
include("themes/$THEME_FOLDER/footer.php");
?>