<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<title><?PHP echo $sxSetup['SiteName']; if (strlen($sxTitleAddendum) > 0) echo ' - ' . $sxTitleAddendum; ?></title>
<?PHP echoMETA($page,htmlspecialchars(strip_tags($sxMetaAddendum))); ?>

<link rel="stylesheet" type="text/css" href="<?PHP echo $sxSetup['Url']; ?>/includes/colorpicker/colorpicker.css" />
<!-- RSS feed autodiscovery -->
<link rel="alternate" type="application/rss+xml" title="<?PHP echo $sxSetup['Url']; ?> RSS Feed" href="content/rss.xml" />

<?php
 //browser detection
$UA = isset($_SERVER['HTTP_USER_AGENT']) ? $_SERVER['HTTP_USER_AGENT'] : '';
$SF = strstr($UA, 'Safari') ? true : false;
$OP = strstr($UA, 'Opera') ? true : false;
$OPV = $OP ? preg_split('/opera\//i', $UA) : false;
$OPV = $OPV ? floatval($OPV[1]) : false;
$FF = !$OP && strstr($UA, 'Firefox') ? true : false;
$FFV = $FF ? preg_split('/firefox\//i', $UA) : false;
$FFV = $FFV ? floatval($FFV[1]) : false;
$IE = !$OP && !$FF && strstr($UA, 'MSIE') ? true : false;
$IEV = $IE ? preg_split('/msie/i', $UA) : false;
$IEV = $IEV ? floatval($IEV[1]) : false;
?> 

<style type="text/css">
/* ************************
GENERAL HTML STYLES
************************* */

html {
	min-height: 100%;
	margin-bottom: 1px;
}
body,td,th {
	color: <?PHP echo $sxTheme['ColorText']; ?>;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 11px;
}
body {
	background-color: <?PHP echo $sxThemeConfig['SiteBaseColor']; ?>;
	margin: <?php echo $sxThemeConfig['SitePadding']; ?>px;
	scrollbar-3dlight-color:black;
  scrollbar-arrow-color:<?PHP echo $sxTheme['ColorTextSecondary']; ?>;
  scrollbar-track-color:<?PHP echo $sxTheme['ColorBackground']; ?>;
  scrollbar-darkshadow-color:gray;
  scrollbar-face-color:<?PHP echo $sxTheme['ColorPrimary']; ?>;
  scrollbar-highlight-color:silver;
  scrollbar-shadow-color:gray;
}
hr {
	border: none 0;
	border-top : 1px solid Silver;
}
a:link {
	color: <?PHP echo $sxTheme['ColorLinks']; ?>;
	text-decoration: none;
}
a:visited {
	color: <?PHP echo $sxTheme['ColorLinksVisited']; ?>;
	text-decoration: none;
}
a:hover {
	color: <?PHP echo $sxTheme['ColorLinksHover']; ?>;
	text-decoration: underline;
}
a:link img {
	border: 1px solid <?PHP echo $sxTheme['ColorLinks']; ?>;
}
a:visited img {
	border: 1px solid <?PHP echo $sxTheme['ColorLinksVisited']; ?>;
	}
a:hover img {
	border: 1px solid <?PHP echo $sxTheme['ColorLinksHover']; ?>;
	}
input, select, textarea {
	line-height: 10px;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 9px;
}
h1 {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 11px;
	font-weight: bold;
	margin-top: -4px;
	margin-left: -4px;
	margin-right: -4px;
	margin-bottom: 2px;
	text-transform: capitalize;
	line-height: 25px;
	background: url(<?PHP echo $sxSetup['Url'].'/themes/'.$THEME_FOLDER.'/images/'.$SCHEME_NAME.'/'; ?>heading_bg.png) repeat-x;
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
	text-align: left;
	z-index: 2;
	text-indent: 8px;
	border-left: 1px solid <?PHP echo $sxThemeConfig['SiteBorderColor']; ?>;
}
ul {
	margin: 2px;
	list-style: square;
	margin-left: 20px;
	padding-left: 0;
}
legend {
	color: <?PHP echo $sxTheme['ColorPrimary']; ?>;
	font-weight: bold;
}
form {
/* removes space below form elements */
	margin: 0;
 	padding: 0;
}
p {
/* removes space below paragraph elements */
	margin-top: 2px;
 	padding-top: 2px;
	margin-left: 4px;
	text-align: left;
}

/* ************************
SITEX CORE STYLES
************************* */
.noscript {
	font-size: 11px;
	color: red;
	text-align: center;
	padding-bottom:15px;
}
.pagename {
	font-size: 12px;
	font-weight: bold;
	color: <?PHP echo $sxTheme['ColorSiteName']; ?>;
	padding: 15px;
}
.navigation {
	display: block;
	background: url(<?PHP echo $sxSetup['Url'].'/themes/'.$THEME_FOLDER.'/images/'.$SCHEME_NAME.'/'; ?>menu_bg.png) no-repeat;
	vertical-align: middle;
	font-size: 11px;
	font-weight: bold;
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
	text-align: left;
	padding-top: 5px;
	padding-left: 14px;
	padding-bottom: -4px;
	height: 20px;
	text-decoration: none;
	margin-bottom: -13px;
}
a.navigation:link {
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
	text-decoration: none;
}
a.navigation:visited {
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
	text-decoration: none;
}
a.navigation:hover {
	color: <?PHP echo $sxThemeConfig['MenuHoverColor']; ?>;
	background-position: 0px -25px;
}
.textSecondary {
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
}
.login {
	width: 75px;
}
.lastupdated {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 10px;
	font-style: italic;
	color: #666666;
}
/* gallery layout styles */
.sxGalleryThumb {
  <?php if ($sxThemeConfig['GalleryThumbBox'] == 1) { ?>
  	height: <?PHP echo $sxSetup['GalleryMaxDimensionThumb']+2; ?>px;
  	width: <?PHP echo $sxSetup['GalleryMaxDimensionThumb']+2; ?>px;
  <?php } ?>	
	text-align: center;
}
.sxAlbumThumb {
  <?php if ($sxThemeConfig['GalleryAlbumThumbBox'] == 1) { ?>
  	height: <?PHP echo $sxSetup['GalleryMaxDimensionThumb']+2; ?>px;
  	width: <?PHP echo $sxSetup['GalleryMaxDimensionThumb']+2; ?>px;
  <?php } ?>
	text-align: center;		
}
.sxGalleryThumbnailContainer {
  margin:5px;
  padding: 5px;
  <?php if ($sxThemeConfig['GalleryThumbBox'] == 1) { ?>
  border: 1px solid <?PHP echo $sxTheme['ColorPrimary']; ?>;
  padding: 10px;
  background: <?PHP echo $sxTheme['ColorBackground']; ?>;
  <?php } ?>
}
.sxAlbumThumbnailContainer {
  margin:5px;
  padding: 5px;
  <?php if ($sxThemeConfig['GalleryAlbumThumbBox'] == 1) { ?>
  border: 1px solid <?PHP echo $sxTheme['ColorPrimary']; ?>;
  padding: 10px;
  background: <?PHP echo $sxTheme['ColorBackground']; ?>;
  <?php } ?>
}
.sxPhotoContainer {
  <?php if ($sxThemeConfig['GalleryPhotoBox'] == 1) { ?>
  	height: <?PHP echo $sxSetup['GalleryMaxDimensionPhoto']+2; ?>px;
  	width: <?PHP echo $sxSetup['GalleryMaxDimensionPhoto']+2; ?>px;
  <?php } ?>	
	text-align: center;
}
/* sets photo.php photo style properties
see theme config $sxThemeConfig['PhotoCenter']
 */
.sxScaledPhoto {
  margin:5px;
  padding: 5px;
  display: table-cell;
  vertical-align: middle;
  position:relative;
  top:-1px;
  left:-1px;
  <?php if ($sxThemeConfig['GalleryPhotoBox'] == 1) { ?>
  border: 1px solid <?PHP echo $sxTheme['ColorPrimary']; ?>;
  padding: 10px;
  background: <?PHP echo $sxTheme['ColorBackground']; ?>;
  <?php } ?>
}
.pageTurns {
	padding-top:8px;
	padding-bottom:8px;
	padding-left:10px;
	padding-right:10px;
	text-align:center;
	font-size:10px;
}
.sxGalleryLayout{

}
.sxAlbumDescription {
	margin-top: 7px;
	text-align: left;
}
.sxPhotoDescription {

}
.galleryData {
	font-size: 11px;
	color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
	background-color: <?PHP echo $sxTheme['ColorTable']; ?>;
	width: <?PHP echo $sxThemeConfig['ContentWidth']-18; ?>px;
	background-position: center;
	margin: 0;
	text-align: center;
	padding: 5px;
}
/* end gallery layout styles */

.tableColumn {
	color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
	background-color: <?PHP echo $sxTheme['ColorTable']; ?>;
	text-align: left;
	font-size:10px;
}
td.tableColumn {
	color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
	background-color: <?PHP echo $sxTheme['ColorTable']; ?>;
	text-align: left;
	font-size:10px;
}
a.tableColumn:link {
	color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
	text-decoration: underline;
	font-size:10px;
}
a.tableColumn:visited {
	color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
	text-decoration: underline;
	font-size:10px;
}
a.tableColumn:hover {
	color: <?PHP echo $sxThemeConfig['MenuHoverColor']; ?>;
	font-size:10px;
	text-decoration: underline;
}
.message {
	font-size: 11px;
	color: #777777;
	text-align: center;
	padding-bottom:15px;
}
.sxAdminWarning {
	color: #000000;
	text-align: center;
	padding:4px;
	background: #FEFFE0;
	margin-top: -8px;
}
.sxAdminWarning a {
	color: #000000;
	text-decoration: underline;
}
.sxWarningTitle {
font-weight: bold;
text-align: center;
}
.sxTextHighlight{
background: yellow;
color: black;
}
a.sxTextHighlight: link, visited, hover {
background: yellow;
color: black;
text-decoration: underline;
}
.bodyWrapper {
	/* background-color:<?PHP echo $sxTheme['ColorBackground']; ?>; */
	text-align: left;
	width: <?PHP echo $sxThemeConfig['ContentWidth']-8; ?>px;
	padding: 4px;
}
.sxAdminHeading {
	
}
.journalDate {
    color: #999999;
    font-weight: normal;
    text-decoration:none;
}
.journalControls {
    font-size: 10px;
    font-weight: bold;
    padding-top: 5px;
    text-align: left;
}
.journalAdd {
    font-size: 11px;
    font-weight: bold;
    padding-top: 5px; 
    padding-bottom: 5px;
    text-align: right;
}
.journalHead {
    border-bottom: 1px solid <?PHP echo $sxThemeConfig['SiteBorderColor']; ?>;
}
.journalTitle {
    font-size: 11px; 
    font-weight: bold;
    float: left;
	display: block;
	background: url(<?PHP echo $sxSetup['Url'].'/themes/'.$THEME_FOLDER.'/images/'.$SCHEME_NAME.'/'; ?>bullet.png) no-repeat;
	background-position: center left;
	padding-left: 10px;
	margin-top: 0px;
}
.journalBy {
    font-size: 10px;
    font-weight: normal;
    margin-right: 4px;
    text-align: right;
}
.journalEntry {
	padding-top: 5px;
  overflow: auto;
}
.journalComments {
	padding-bottom:10px;
	text-align: right;
}
.journalReadmore {
	text-align:right;
	border-bottom: 1px solid <?PHP echo $sxThemeConfig['SiteBorderColor']; ?>;
	margin-bottom: -10px;
	padding-bottom: 0px;
	padding-right: 4px;
}
.commentBy {
    font-size: 10px;
    font-weight: normal;
    margin-left: 4px;
    text-align: left
}
.eventDate {
	color: <?PHP echo $sxThemeConfig['ColorText']; ?>;
	font-weight: bold;
	padding-top: 4px;
	padding-bottom: 4px;
	padding-left: 25px;
	background: url(<?PHP echo $sxSetup['Url'].'/themes/'.$THEME_FOLDER.'/images/'; ?>clock.png) no-repeat;
	background-color: #FFFFFF;
	background-position: 5px 3px;
	border: 1px solid <?PHP echo $sxThemeConfig['SiteBorderColor']; ?>;
	position: relative;
	top: 23px; 
}
.eventNameLong {
	color: <?PHP echo $sxTheme['ColorText']; ?>;
	font-weight: bold;
	font-size: 11px;
	line-height: 12px;
	padding: 2px;
	padding-left: 6px;
	background: url(<?PHP echo $sxSetup['Url'].'/themes/'.$THEME_FOLDER.'/images/'; ?>bg_dots.gif) ;
	border: 1px solid <?PHP echo $sxThemeConfig['SiteBorderColor']; ?>;
	position: relative;
	top: -16px; 
}
.eventDescription {
	padding-top: 4px;
	padding-bottom: 10px;
}
.eventAdminLinks {
	padding-bottom: 15px;
}
.shadowText {
	color: #999999;
}
.td_background {
	background-color: <?PHP echo $sxTheme['ColorBackground']; ?>;  
}
.td_primary {
	background-color:<?PHP echo $sxTheme['ColorPrimary']; ?>;
}
.td_secondary {
	background-color:<?PHP echo $sxTheme['ColorSecondary']; ?>;
}
.loggedInInfo {
	padding: 5px;
	color: <?PHP echo $sxTheme['ColorSiteName']; ?>;
}
.accountLinks {
	font-size: 10px;
}
.footerText {
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
	font-size: 10px;
}
.loginBoxLinks {
	font-size: 10px;
}
.postedBy {
	font-size: 10px;
	font-weight: normal;
	margin-right: 4px;
	text-align: right;
	position: relative;
	top: -32px;
}

.eventTodayColor {
	background-color: <?PHP echo $sxTheme['ColorSecondary']; ?>;
	border: 1px solid white;
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
}
a.eventTodayColor:link {
	border: 1px solid <?PHP $sxTheme['ColorLinksHover']; ?>;
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
}
a.eventTodayColor:visited {
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
}
a.eventTodayColor:hover {
	border: 1px solid <?PHP $sxTheme['ColorLinksHover']; ?>;
}
.eventOffdayColor {
	background-color: <?PHP echo $sxTheme['ColorBackground']; ?>;
	border: 1px solid white;
}
.eventOffdayColor:hover {
	border: 1px solid <?PHP $sxTheme['ColorLinksHover']; ?>;
}
.eventCalendar {
	background-color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
}
.MiniCalendar {
	font-size: 8px;
}
.MiniCalendar.tableColumn {
	font-size: 8px;
}
table.MiniCalendar td {
	font-size: 8px;
}
.sxTdItem {
	font-weight: bold;
	text-align: right;
	vertical-align: top;
	padding-top:8px;
	padding-right:5px;
}
.sxSection {
	font-size: 10px;
	margin-top: 20px;
	margin-bottom: 20px;
	padding: 2px;
	border: 0px;
	background: url(<?PHP echo $sxSetup['Url'].'/themes/'.$THEME_FOLDER.'/images/'; ?>bg_dots.gif) ;
}
.sxSmallText {
	font-size: 10px;
	font-weight: normal;
}
.sxLargeText {
	font-size: 12px;
	font-weight: bold;
}
.pageContent {
	padding-bottom: 10px;
}
.sxTableColorText {
	color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
}
.sxTdTableRow {
	background-color: <?PHP echo $sxTheme['ColorTableRow']; ?>;
}
.sxAutolink {
	width:565px;
	text-align:center;
	background:#EFEFDE;
	padding:5px;
	color:#000000;
}
.sxCommentsTable {
	border-color: <?PHP echo $sxTheme['ColorTable']; ?>;
	border-style:solid;
	border-width: 3px;
}
.sxCommentsTableHeader {
	color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
	background: <?PHP echo $sxTheme['ColorTable']; ?>;
	padding: 5px;
}
.sxHomepageItemName {
	border: 0px;
	padding: 4px;
	padding-left: 0px;
	padding-right: 0px;
	text-indent: 4px;
	background: url(<?PHP echo $sxSetup['Url'].'/themes/'.$THEME_FOLDER.'/images/'.$SCHEME_NAME.'/'; ?>subhead_bg.png) repeat-x;
	color: <?PHP echo $sxTheme['ColorSiteName']; ?>;
	text-transform: uppercase;
	font-weight: normal;
	text-align: left;
	align: left;
	font-size:10px;
}
.sxAdminBreadcrumbs {
	font-size: 10px;
	font-weight: bold;
	text-align: left;
	padding-right:4px;
	background: url(<?PHP echo $sxSetup['Url'].'/themes/'.$THEME_FOLDER.'/images/'; ?>bg_dots.gif) ;
	line-height: 25px;
}
.sxPollName {
	padding-top: 5px;
}
.sxPollPercent { 
	position: relative;
	bottom: 2px;
	font-size: 10px;
 }
.sxRandomPhotos img{
height: <?PHP echo $sxThemeConfig['HomepageThumbHeight']; ?>px;
}
.slogan {
float:left;
color: <?PHP echo $sxTheme['ColorSitename']; ?>;
}
.sitename {
float:right;
}
.sxMainMode {
padding:4px;
width:400px;
margin-left: auto;
margin-right: auto;
background: #FFFFFF;
color: red;
font-size: 11px;
text-align: center;
border: 1px solid #c0c0c0;
}
.sxMainMode a {
color: red;
text-decoration: underline;
}
.sxNoborder {
	border: 0px;
}
.sxMiddle {

}
.sxButton {

}
/* ************************
THEME STYLES (add your own classes below this)
Prefix class names with theme name e.g. .joombo_myclass
************************* */
.joombo_headerbar {
	border: 0px solid #c0c0c0;
	padding: 0px;
	background: url(<?PHP echo $sxSetup['Url'].'/themes/'.$THEME_FOLDER.'/images/'.$SCHEME_NAME.'/'; ?>subhead_bg.png) repeat-x;
	color: <?PHP echo $sxTheme['ColorSiteName']; ?>;
	text-transform: uppercase;
	padding-right: 4px;
	font-size:10px;
	line-height: 21px;
}
.joombo_menu2 {
	border: 1px solid <?PHP echo $sxThemeConfig['SiteBorderColor']; ?>;
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
	background: <?PHP echo $sxTheme['ColorSecondary']; ?>;
	padding: 4px 12px 4px 12px;
	margin: 0px;
	text-transform: capitalize;
	text-decoration: none;
	display:block;
	font-size:11px;
	font-weight: bold;
}
a.joombo_menu2:link {
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
	text-decoration: none;
}
a.joombo_menu2:visited {
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
	text-decoration: none;
}
a.joombo_menu2:hover {
	color: <?PHP echo $sxThemeConfig['MenuHoverColor']; ?>;
	background: <?PHP echo $sxTheme['ColorPrimary']; ?>;
}
.joombo_padding5 {
	padding: 5px;
}
.joombo_BoundingBox {
	border: 1px solid <?PHP echo $sxThemeConfig['SiteBorderColor']; ?>;
	bottom-border: 0px;
	background-color: <?PHP echo $sxTheme['ColorBackground']; ?>;
	width: <?php echo $sxThemeConfig['BoxWidth']; ?>px;
	margin: 0;
	padding: 0;
	margin-left: auto;
	margin-right: auto;
} 
.joombo_center
{
	text-align : center;
	margin-left: auto;
	margin-right: auto;
	width: 50em;
}
.joombo_fieldset {
	width:192px;
	background-color: <?PHP echo $sxTheme['ColorTable']; ?>;
	border: 0px solid #BFBFBF;
	padding: 4px;
	margin: 0px;
	filter:alpha(opacity=90);
	opacity: 0.9;
	-moz-opacity:0.9;
	position:relative;
}
.joombo_nomargin {
	padding: 0px;
	margin: 0px;
}
.joombo_menutitle {
	border: 0px solid #c0c0c0;
	padding: 4px;
	padding-left:0px;
	padding-right:0px;
	text-indent:4px;
	background: url(<?PHP echo $sxSetup['Url'].'/themes/'.$THEME_FOLDER.'/images/'.$SCHEME_NAME.'/'; ?>subhead_bg.png) repeat-x;
	color: <?PHP echo $sxTheme['ColorSiteName']; ?>;
	text-transform: uppercase;
	font-weight: normal;
	text-align: left;
	font-size:10px;
}
.joombo_rtmenutitle {
	border: 0px;
	padding: 4px;
	padding-left:0px;
	padding-right:0px;
	background: url(<?PHP echo $sxSetup['Url'].'/themes/'.$THEME_FOLDER.'/images/'.$SCHEME_NAME.'/'; ?>subhead_bg.png) repeat-x;
	color: <?PHP echo $sxTheme['ColorSiteName']; ?>;
	text-transform: uppercase;
	font-weight: normal;
	text-align: left;
	text-indent:4px;
	font-size:10px;
}
.joombo_topright {
	height: <?PHP echo getTitleHeight($filenameTitle); ?>px;
	padding: 4px;  
	margin: 0;
	background: url(<?PHP echo $sxSetup['Url'].'/themes/'.$THEME_FOLDER.'/images/'.$SCHEME_NAME.'/'; ?>subhead_bg.png) repeat-x;
}
.joombo_topright_list {
	margin: 4px;
	font-size:10px;
	text-indent: 4px;
}
.joombo_topright_rss {
	padding: 2px;
	text-align: center;
} 
.joombo_RecentBox {
	padding: 0;
	margin: 0;
	background: url(<?PHP echo $sxSetup['Url'].'/themes/'.$THEME_FOLDER.'/images/'.$SCHEME_NAME.'/'; ?>subhead_bg.png) repeat-x; 
	width: <?PHP echo $sxThemeConfig['rtMenuWidth']; ?>px;
}
.joombo_filmstrip {
	padding: 10px 0px 7px 0px;
	background: url(<?PHP echo $sxSetup['Url'].'/themes/'.$THEME_FOLDER.'/images/'; ?>filmstrip.gif) repeat-x;
	width: <?PHP echo $sxThemeConfig['SiteWidth']; ?>px;
}
.joombo_rightborder{
	border-right: 1px solid <?PHP echo $sxThemeConfig['SiteBorderColor']; ?>;
}
.joombo_leftborder{
	border-left: 1px solid <?PHP echo $sxThemeConfig['SiteBorderColor']; ?>;
}
.joombo_bottomborder{
	border-bottom: 1px solid <?PHP echo $sxThemeConfig['SiteBorderColor']; ?>;
}
.joombo_HomepageList {
	padding: 4px;
	padding-left: 4px;
	text-align:left;
}
.joombo_leftmenubg {
	background: url(<?PHP echo $sxSetup['Url'].'/themes/'.$THEME_FOLDER.'/images/'.$SCHEME_NAME.'/'; ?>left_menu_bg.png) repeat-y;
}
.joombo_blogscroll {
	padding-top: 0px;
	margin-top: 0px;
	width:<?php echo $sxThemeConfig['BlogScrollWidth']; ?>px;
	height:<?php echo $sxThemeConfig['BlogScrollHeight']; ?>px;
	overflow:auto;
}
.joombo_loginArea {
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
	position: relative;
	top: 0px;
	left: 0px;
}
.joombo_PhotoPadding {
	padding-left:10px; 
	padding-right:10px;
}
.joombo_RandomPhotos
{
	padding-left : 0px;
	padding-top : 0px;
}
.joombo_rtmenubg {
background: url(<?PHP echo $sxSetup['Url'].'/themes/'.$THEME_FOLDER.'/images/'.$SCHEME_NAME.'/'; ?>rt_menu_bg.png) repeat-y;
background-position: top right;
}
.joombo_colon {
position: relative;
top: -1px;
}
</style>
 
</head>
 <body>

<?php 

// get name of current scheme
$Schemequery = "SELECT * FROM $DB_Themes_Setup WHERE themeid='$THEME' AND selected='1'";
$Schemeresult = mysql_query($Schemequery) ;
$SchemeROW = mysql_fetch_object($Schemeresult);
$Scheme_name = $SchemeROW->name;

?> 
<?PHP sxMaintenanceModeMessage(); ?>
<?PHP if(!$reviewMode){ ?>

<!-- top menu -->
<div id="j1" style="padding: 0px; width:<?php echo $sxThemeConfig['SiteWidth']; ?>px; align: <?php echo $sxThemeConfig['SiteAlign']; ?>; margin-left: auto; margin-right: auto;"> 
		<table width="<?php echo $sxThemeConfig['BoxWidth']; ?>" cellspacing="0" cellpadding="0" border="0">
			<tr >
				<td width="<?php echo $sxThemeConfig['BoxWidth']-$sxThemeConfig['rtMenuWidth']; ?>" >
					<div>
						<table cellpadding="0" border="0" cellspacing="4" style="position:relative; left: -4px;">
							<tr>	
								<td>
								<a href="<?PHP echo $sxSetup['Url']; ?>" class="joombo_menu2"><?PHP echo $sxLang['SetupNavHome']; ?></a> 
								</td>
								<?PHP
								if (componentActive(5))
								{
									echo '<td>';
									echo '<a href="' . $sxSetup['Url'] . '/links.php" class="joombo_menu2">' . getComponentName(5) . '</a>';
									echo '</td>';
								}
								if (componentActive(7))
								{
									echo '<td>';
									echo '<a href="' . $sxSetup['Url'] . '/contact.php" class="joombo_menu2">' . getComponentName(7) . '</a>';
									echo '</td>';
								}							
								?>
								
							</tr>
						</table>
					</div>
				</td>
				<td width="200" align="right">
				<div id="Searchbox" style="z-index: -1;">
				
				<!-- 
				*******************
				SEARCH OPTIONS: configure $sxThemeConfig['ShowSearchType'] in config.php.inc
				*******************
				-->
				<!-- SHOW SEARCH TYPE 1 - search with pull-down selector: this site/google.com -->
				  <?PHP if($sxSetup['ShowSearch'] AND $sxThemeConfig['ShowSearchType']== 1) { ?>
				  <form action="<?PHP echo $PHP_SELF; ?>" method="post" name="sxSearch">
					<input name="search_text" value="<?PHP echo $sxLang['HomepageSearch']; ?>..." onfocus="this.value='';return false;" style="width:70px;" type="text" value="" />
					<select name="search_type" style="width:75px;">
					  <option value="site" ><?PHP echo $sxLang['HomepageSearchSite']; ?></option>
					  <option value="google"><?PHP echo $sxLang['HomepageSearchGoogle']; ?></option> 
					</select><input name="Search" type="submit" value="<?PHP echo $sxLang['ButtonFind']; ?>" class="sxButton"/>
				   </form>
				   <?PHP } ?>   
				<!-- END SHOW SEARCH -->
				
				<!-- SHOW SEARCH TYPE 2 - search with traditional text input and button -->
				<?PHP if($sxSetup['ShowSearch'] AND $sxThemeConfig['ShowSearchType']== 2){ ?>
				 <form action="<?PHP echo $PHP_SELF; ?>" method="post" name="sxSearch" style="margin: 0px; padding: 0px;">
				  <?PHP echo $sxLang['HomepageSearch']; ?>
								<input name="search_text" style="width: 110px; border: 1px solid <?PHP echo $sxThemeConfig['SiteBorderColor']; ?>;" type="text" /> <input name="Search" type="submit" value="<?PHP echo $sxLang['ButtonFind']; ?>" class="sxButton"/> 
				 </form>
				<?PHP } ?>   
				<!-- END SHOW SEARCH -->
				
				<!-- SHOW SEARCH TYPE 3 - search with text input only -->
				<?PHP if($sxSetup['ShowSearch'] AND $sxThemeConfig['ShowSearchType']== 3){ ?>
				 <form action="<?PHP echo $PHP_SELF; ?>" method="post" name="sxSearch" style="margin: 0px; padding: 0px;">
								<input name="search_text" value="<?PHP echo $sxLang['HomepageSearch']; ?>..." onfocus="this.value='';return false;" style="width: <?PHP echo ($sxThemeConfig['rtMenuWidth']-2); ?>px; border: 1px solid <?PHP echo $sxThemeConfig['SiteBorderColor']; ?>;" type="text" />
				 </form>
				<?PHP } ?>  
				<!-- END SHOW SEARCH -->

				</div>
				</td>
			</tr>			
		</table>
</div>		
<!-- end top menu -->

<!-- bounding box -->
<div class="joombo_BoundingBox" id="j2" align="<?php echo $sxThemeConfig['SiteAlign']; ?>" > 

<table cellspacing="0" cellpadding="0" border="0">
<tr><!-- title pic -->
    <td valign="top" class="td_primary" width="<?PHP echo getTitleWidth($filenameTitle); ?>" height="<?PHP echo getTitleHeight($filenameTitle); ?>"><?PHP
		// Title picture display
		if(getTitlePicture())
		{
		$filenameTitle = getTitlePicture();
		echo '<img src="' . $sxSetup['Url'] . '/content/title_pictures/' . $filenameTitle .'" width="' . getTitleWidth($filenameTitle) . '" height="' . getTitleHeight($filenameTitle) . '" alt="' . getTitleName($filenameTitle) . '" />';
		}
		?></td><!-- end title pic -->
		<?PHP 
		$sxHeaderQuery= "SELECT * FROM $DB_Users";
		$sxHeaderResult = mysql_query($sxHeaderQuery, $Link) or queryError("507", mysql_error());
		$totalUsers = mysql_num_rows($sxHeaderResult);
		
		$sxHeaderQuery = "SELECT * FROM $DB_Photos";
		$sxHeaderResult = mysql_query($sxHeaderQuery, $Link) or queryError("506", mysql_error());
		$totalPhotos = mysql_num_rows($sxHeaderResult);
		
		$sxHeaderQuery = "SELECT * FROM $DB_Journal";
		$sxHeaderResult = mysql_query($sxHeaderQuery, $Link) or queryError("508", mysql_error());
		$totalJournals = mysql_num_rows($sxHeaderResult);
		
		$sxHeaderQuery = "SELECT * FROM $DB_Comments";
		$sxHeaderResult = mysql_query($sxHeaderQuery, $Link) or queryError("509", mysql_error());
		$totalComments = mysql_num_rows($sxHeaderResult);
		
		$totalHits = 0;
		$sxHeaderQuery = "SELECT * FROM $DB_Hit_Counters";
		$sxHeaderResult = mysql_query($sxHeaderQuery, $Link) or queryError("510", mysql_error());
		while($sxHeaderROW = mysql_fetch_object($sxHeaderResult)){
		$totalHits = $totalHits + $sxHeaderROW->hits;
		}
		
		$sxHeaderQuery = "SELECT DISTINCT userid FROM $DB_Visitors WHERE lastvisit>'" . ($NOW-$sxThemeConfig['OnlineTimeInSeconds']) . "' AND userid!='0'";
		$sxHeaderResult = mysql_query($sxHeaderQuery, $Link) or queryError("2003", mysql_error());
		$membersOnline = mysql_num_rows($sxHeaderResult);
		
		$sxHeaderQuery = "SELECT * FROM $DB_Visitors WHERE lastvisit>'" . ($NOW-$sxThemeConfig['OnlineTimeInSeconds']) . "' AND userid='0'";
		$sxHeaderResult = mysql_query($sxHeaderQuery, $Link) or queryError("2004", mysql_error());
		$guestsOnline = mysql_num_rows($sxHeaderResult);
		?>				
    <td valign="top" width="<?PHP echo $sxThemeConfig['rtMenuWidth']; ?>" align="left" class="joombo_leftborder"><!-- stats --><div id="j3" class="joombo_rtmenutitle" style="width:<?PHP echo ($sxThemeConfig['rtMenuWidth']); ?>px;"><span class="joombo_colon">::</span> <?PHP echo $sxLang['OverviewItemStatistics']; ?></div><div class="joombo_topright_list" id="j4"> 
		<ul>
		<li><?PHP echo $sxLang['OverviewItemStatsUsers']; ?>: <strong><?PHP echo number_format($totalUsers); ?></strong></li>
		<li><?PHP echo $sxLang['OverviewItemStatsHits']; ?>: <strong><?PHP echo number_format($totalHits); ?></strong></li> 
		<li><?PHP echo $sxLang['OverviewItemStatsVisitors']; ?>: <strong><?PHP echo getVisitors(); ?></strong></li>
		<li><?PHP echo $sxLang['OverviewItemStatsPhotos']; ?>: <strong><?PHP echo number_format($totalPhotos); ?></strong></li>
		<li><?PHP echo $sxLang['OverviewItemStatsJournal']; ?>: <strong><?PHP echo number_format($totalJournals); ?></strong></li>
		<li><?PHP echo $sxLang['OverviewItemStatsComments']; ?>: <strong><?PHP echo number_format($totalComments); ?></strong></li>
		<li><?PHP echo $sxLang['OverviewItemStatsOnlineMembers']; ?>: <strong><?PHP echo number_format($membersOnline); ?></strong></li>
		<li><?PHP echo $sxLang['OverviewItemStatsOnlineGuests']; ?>: <strong><?PHP echo number_format($guestsOnline); ?></strong></li>
		</ul></div><!-- end stats --></td>
</tr>
</table>
<table width="<?php echo $sxThemeConfig['BoxWidth']; ?>" cellspacing="0" cellpadding="0" border="0"> 
<tr>
    <td valign="top" width="<?PHP echo $sxThemeConfig['MenuWidth']; ?>" align="left">
		<div id="j6" style="<?PHP echo $sxThemeConfig['MenuWidth']; ?>" class="joombo_menutitle"><span class="joombo_colon">::</span> <?PHP echo $sxLang['ThemesMenu1']; ?></div>
	</td>
    <td valign="top" class="joombo_headerbar">
	<!-- show site slogan -->
		<span class="slogan"><span class="joombo_colon">::</span> <?PHP echo $sxSetup['TextHeader']; ?></span>
		<!-- end show site slogan --> 
		<!-- show site name -->
		<?PHP if($sxTheme['ShowSiteName']){ ?>
		<span class="sitename"><?PHP echo $sxSetup['SiteName']; ?></span>
		<?PHP } ?>
		<!-- end show site name -->
	</td>
</tr>
<tr>
    <td valign="top" width="<?PHP echo $sxThemeConfig['MenuWidth']; ?>" height="100%" align="left" class="joombo_leftmenubg" nowrap="nowrap">
	<!-- main menu -->
		<div id="j7" style="padding-top: 0px; width:<?PHP echo $sxThemeConfig['MenuWidth']; ?>px;" >
		
		<?PHP echoNavigation('vert'); ?>
		<br />
		 
		</div>
	<!-- end main menu -->
	
	<!-- login area -->	 
		<div id="j8" class="joombo_loginArea">	  
		
		<?PHP if(($sxSetup['ShowLogin'])AND(!loggedIn())){ ?>
		<div id="j9" class="joombo_menutitle"><span class="joombo_colon">::</span> Login Form</div>
		<a class="navigation" href="<?PHP echo $sxSetup['Url'].'/'; ?>password.php"><?PHP echo $sxLang['UserButtonPassword']; ?></a><br/>
		<?PHP if($sxSetup['AllowSignup']) { ?><a class="navigation" href="signup.php"><?PHP echo $sxLang['UserButtonSignup']; ?></a><br/>
		<?PHP } ?>	
		<form action="<?PHP echo "http://{$HTTP_HOST}{$REQUEST_URI}"; ?>" method="post" enctype="multipart/form-data" name="sxLogin" style="margin: 0px; padding: 4px;">
		&nbsp;<?PHP echo $sxLang['UserItemUsername']; ?><br>&nbsp;<input class="login" name="username" type="text" maxlength="35" /><br/> 
		&nbsp;<?PHP echo $sxLang['UserItemPassword']; ?><br>&nbsp;<input class="login" name="password" type="password" maxlength="35" /><br/> 
		<input type="submit" style="margin:4px;" name="Login" value="<?PHP echo $sxLang['UserButtonLogin']; ?>" class="sxButton"/>
		</form>
		<?PHP } ?>
		
		<?PHP if(loggedIn()){ ?>
		<div id="j10" class="joombo_menutitle"><span class="joombo_colon">::</span> <strong><?PHP echo limitStringForce($_SESSION['username'],22); ?></strong></div> 
		<?PHP if(userAdmin()){ ?><a href="<?PHP echo $sxSetup['Url'].'/admin/'; ?>" class="navigation"><?PHP echo $sxLang['AdminPanel']; ?></a><br/><?PHP } ?> 
		<a href="<?PHP echo $sxSetup['Url'].'/admin/profile.php'; ?>" class="navigation"><?PHP echo $sxLang['Profile']; ?></a><br/>
		<a href="<?PHP echo $sxSetup['Url'].'/'; ?>logout.php?p=<?PHP echo urlencode("http://{$HTTP_HOST}{$REQUEST_URI}"); ?>" class="navigation"><?PHP echo $sxLang['Logout']; ?></a><br/>
		
		<?PHP } ?>
		<?PHP } ?>
		</div>
	<!-- end login area --> 

	</td>
    <td valign="top" >
	<div id="j11" style="margin: 0px; padding: 0px;">
	<!-- main content (see homepage.php) -->