<?PHP
ob_start();
session_start();

include("includes/globals.php.inc");

$sxMaintenanceOverride = true;			// Override maintenance page to allow login

include("includes/functions.php");
include("lang/English.php");
if(strtolower($sxSetup['Language']) != 'english') include("lang/".$sxSetup['Language'].".php");
include("themes/$THEME_FOLDER/config.php.inc");

if (loggedIn() == TRUE)
{
	header("Location: ".$sxThemeConfig['Homepage']);
	die();
}

if ((isset($sxAuthError)) AND (is_string($sxAuthError)))
	$error = $sxLang[$sxAuthError];

$sxTitleAddendum = $sxLang['UserHeadingLogin'];
include("themes/$THEME_FOLDER/header.php");
?>
  <div class="bodyWrapper">
	<h1><?PHP echo $sxLang['UserHeadingLogin']; ?></h1>
	<?PHP echoMessage(urldecode($error)); ?>
	<form action="<?PHP echo $sxThemeConfig['Homepage']; ?>" method="post" enctype="multipart/form-data" name="sxLogin2">
	<table border="0" cellspacing="0" cellpadding="5" align="center">
	<tr> 
	  <td class="sxTdItem"><?PHP echo $sxLang['UserItemUsername']; ?></td>
	  <td><input class="login" name="username" type="text" maxlength="35" /></td>
	</tr>
	<tr>
	  <td class="sxTdItem"><?PHP echo $sxLang['UserItemPassword']; ?></td>
	  <td><input class="login" name="password" type="password" maxlength="35" /></td>
	</tr>
	<tr> 
	  <td colspan="2" align="right"> 
		<input type="submit" name="Login" value="<?PHP echo $sxLang['UserButtonLogin']; ?>" class="sxButton" /><br />
		<?PHP if($sxSetup['AllowSignup']) { ?>
		<br /><a href="signup.php"><?PHP echo $sxLang['UserButtonSignup']; ?></a><br />
		<?PHP } ?>
		<a href="<?PHP echo $sxSetup['Url'].'/'; ?>password.php"><?PHP echo $sxLang['UserButtonPassword']; ?></a>
	  </td>
	</tr>
  </table>
  </form>
  </div>
<?PHP
include("themes/$THEME_FOLDER/footer.php");
ob_end_flush();
?>