<?PHP
ob_start();
session_start();
include("includes/globals.php.inc");
include("includes/functions.php");
include("lang/English.php");
if(strtolower($sxSetup['Language']) != 'english') include("lang/".$sxSetup['Language'].".php");
include("themes/$THEME_FOLDER/config.php.inc");

if(!$page)
	$page = 1;

if($sxSearchFromHere)
{
	header("Location: search.php?search=".stripslashes($search));
	die();
}

if(strlen($search) > 0)
	$search = stripslashes($search);

$search = strip_tags(trim($search));

$start = ($page - 1)*$sxSetup['SearchResultsPerPage'];

$sxTitleAddendum = $sxLang['SearchHeadingSearch'];
include("themes/$THEME_FOLDER/header.php");

?>
  <div class="bodyWrapper">
	<h1><?PHP echo $sxLang['SearchHeadingSearch']; ?></h1>
	<p align="right">
	<form name="sxSearch" action="<?PHP echo $PHP_SELF; ?>?sxSearchFromHere=true" method="post">
	<input name="search" style="width:150px;" type="text" value="" /> 
	<input name="sxSearchButton" class="sxButton" style="width:70px;" type="submit" value="<?PHP echo $sxLang['ButtonFind']; ?>" class="sxButton" />
	</form>
	</p>
<?PHP
if(strlen($search) > 0)
{
	// Whole site search
	if($type == '')
	{
		$sxNumPhotos = 0;
		$sxNumTopics = 0;
		$sxNumJournalEntries = 0;
		$sxNumEvents = 0;	
		$sxNumPages = 0;
		
		if(componentActive(2) == TRUE)
		{
			$sxPhotoResults = sxPhotoSearchResults($search);
			$sxNumPhotos = count($sxPhotoResults);
		}

		if(componentActive(6) == TRUE)
		{
			$sxForumResults = sxForumSearchResults($search);
			$sxNumTopics = count($sxForumResults);
		}

		if(componentActive(1) == TRUE)
		{
			$sxJournalResults = sxJournalSearchResults($search);
			$sxNumJournalEntries = count($sxJournalResults);	
		}

		if(componentActive(8) == TRUE)
		{
			$sxEventsResults = sxEventsSearchResults($search);
			$sxNumEvents = count($sxEventsResults);	
		}
		
		// Always search pages
		$sxPageResults = sxPageSearchResults($search);
		$sxNumPages = count($sxPageResults);
		
		$sxTotalResults = $sxNumPhotos + $sxNumTopics + $sxNumJournalEntries + $sxNumEvents + $sxNumPages;
		
		echo '<p>' . $sxLang['SearchMessageKeyword'] . ' <strong>' . $search . '</strong><br />';
		echo $sxLang['SearchMessageTotal'] . ' <strong>' . $sxTotalResults . '</strong></p>';
		
		echo "<ul>\n";
		
		// Photos
		if(componentActive(2) == TRUE)
		{
			echo '<li><a href="' . $PHP_SELF . '?type=photo_keyword&search=' . urlencode($search) . '">' . "\n";
			echo '<strong>' . $sxNumPhotos . '</strong> ' . $sxLang['GeneralItemItems'] . ' ' . getComponentName("2");
			echo "</a></li>\n";
		}
		
		// Forum
		if(componentActive(6) == TRUE)
		{
			echo '<li><a href="' . $PHP_SELF . '?type=forum&search=' . urlencode($search) . '">' . "\n";
			echo '<strong>' . $sxNumTopics . '</strong> ' . $sxLang['GeneralItemItems'] . ' ' . getComponentName("6");
			echo "</a></li>\n";
		}
		
		// Journal
		if(componentActive(1) == TRUE)
		{
			echo '<li><a href="' . $PHP_SELF . '?type=journal&search=' . urlencode($search) . '">' . "\n";
			echo '<strong>' . $sxNumJournalEntries . '</strong> ' . $sxLang['GeneralItemItems'] . ' ' . getComponentName("1");
			echo "</a></li>\n";
		}
		
		// Events
		if(componentActive(8) == TRUE)
		{
			echo '<li><a href="' . $PHP_SELF . '?type=events&search=' . urlencode($search) . '">' . "\n";
			echo '<strong>' . $sxNumEvents . '</strong> ' . $sxLang['GeneralItemItems'] . ' ' . getComponentName("8");
			echo "</a></li>\n";
		}
		
		echo '<li><a href="' . $PHP_SELF . '?type=page&search=' . urlencode($search) . '">' . "\n";
		echo '<strong>' . $sxNumPages . '</strong> ' . $sxLang['GeneralItemItems'] . ' ' . $sxLang['Pages'];
		echo "</a></li>\n";
		
		echo "</ul>\n";
	
	}
	
	// Gallery search
	if ( ($type == 'photo_keyword') AND (componentActive(2) == TRUE) )
	{
		$sxPhotoResults = sxPhotoSearchResults($search);
		$sxNumPhotos = count($sxPhotoResults);	
		
		echo '<p>' . $sxLang['SearchMessageKeyword'] . ' <strong>' . $search . '</strong></p>';
		echo $sxLang['SearchMessageGeneralPart1'] . ' <strong>' . getComponentName("2") . '</strong> ' . $sxLang['SearchMessageGeneralPart2'] . ' <strong>' . $sxNumPhotos . '</strong> ' . $sxLang['SearchMessageGeneralPart3'];
		echo '<br /><br /><br />';
		
		if($sxNumPhotos > 0)
		{
			if($sxNumPhotos > $sxSetup['SearchResultsPerPage'])
				echo '<div style="padding-top:8px;padding-bottom:8px;font-size:10px;">';
			pageTurns($PHP_SELF.'?type=photo_keyword&search=' . $search . '&', $sxNumPhotos, $page, $sxSetup['SearchResultsPerPage']);
			if($sxNumPhotos > $sxSetup['SearchResultsPerPage'])
				echo '</div>';
			
			$count = 1;
			echo '<table width="' . $sxThemeConfig['ContentWidth'] . '" border="0" cellpadding="0" cellspacing="10">';
			
			$sxPhotoIDSelection = "";
			foreach($sxPhotoResults as $sxPhotoID)
				$sxPhotoIDSelection .= "OR id='$sxPhotoID' ";
			$sxPhotoIDSelection = substr($sxPhotoIDSelection, 3);
			
			$query = "SELECT * FROM $DB_Photos
					  WHERE $sxPhotoIDSelection
					  LIMIT $start, ".$sxSetup['SearchResultsPerPage'];
			$result = mysql_query($query, $Link) or queryError("7", mysql_error());
			while($ROW = mysql_fetch_object($result))
			{
				if($count == 1)
					echo '<tr>';
				echo '<td align="center"><a href="photo.php?photoid=' . $ROW->id . '"><img alt="'. $ROW->filename . '" src="' . $sxContentDir['PhotoThumb'] . $ROW->filename . '" style="border: 0;" /><br /><strong>' . $ROW->name . '</strong><br />' . $ROW->filename . '</a></td>';
				if($count == 3)
				{
					echo '</tr>';
					$count = 1;
				}
				else
					$count = $count + 1;
			}
			
			if($count != 1)
				echo '</tr>';
			echo '</table>';
			
			if($sxNumPhotos > $sxSetup['SearchResultsPerPage'])
				echo '<div style="padding-top:8px;padding-bottom:8px;font-size:10px;">';
			pageTurns($PHP_SELF.'?type=photo_keyword&search=' . $search . '&', $sxNumPhotos, $page, $sxSetup['SearchResultsPerPage']);
			if($sxNumPhotos > $sxSetup['SearchResultsPerPage'])
				echo '</div>';
		}
	} // end search photo keywords
  
	// Forum search
	if ( ($type == 'forum') AND (componentActive(6) == TRUE) )
	{
		$sxForumResults = sxForumSearchResults($search);
		$sxNumTopics = count($sxForumResults);	
		
		echo '<p>' . $sxLang['SearchMessageKeyword'] . ' <strong>' . $search . '</strong></p>';
		echo $sxLang['SearchMessageGeneralPart1'] . ' <strong>' . getComponentName("6") . '</strong> ' . $sxLang['SearchMessageGeneralPart2'] . ' <strong>' . $sxNumTopics . '</strong> ' . $sxLang['SearchMessageGeneralPart3'];
		echo '<br /><br /><br />';
		
		if($sxNumTopics > $sxSetup['SearchResultsPerPage'])
			echo '<div style="padding-top:8px;padding-bottom:8px;font-size:10px;">';
		pageTurns($PHP_SELF.'?type=forum&search=' . $search . '&', $sxNumTopics, $page, $sxSetup['SearchResultsPerPage']);
		if($sxNumTopics > $sxSetup['SearchResultsPerPage'])
			echo '</div>';
		
		?>
	   <table border="0" cellspacing="1" cellpadding="6" width="<?PHP echo $sxThemeConfig['ContentWidth']; ?>">
		<tr>
		  <td class="tableColumn"><?PHP echo $sxLang['ForumItemTopic']; ?></td>
		  <td class="tableColumn"><?PHP echo $sxLang['ForumItemForum']; ?></td>
		  <td class="tableColumn"><?PHP echo $sxLang['ForumItemAuthor']; ?></td>
		  <td class="tableColumn"><?PHP echo $sxLang['ForumItemReplies']; ?></td>
		  <td class="tableColumn"><?PHP echo $sxLang['ForumItemLastPost']; ?></td>
		</tr>
		<?PHP
		
		$limit_end   = ($page)*$sxSetup['SearchResultsPerPage'];
		if($limit_end > $sxNumTopics)
			$limit_end = $sxNumTopics;
		$limit_start = ($page-1)*$sxSetup['SearchResultsPerPage'];
		
		for($i = $limit_start; $i < $limit_end; $i++)
		{
			$query = "SELECT * FROM $DB_Forums_Posts WHERE id='$sxForumResults[$i]'";
			$result = mysql_query($query, $Link) or queryError("777", mysql_error());
			$ROW = mysql_fetch_object($result);
			
			echo '<tr bgcolor="' . $sxTheme['ColorTableRow'] . '">';
			echo '<td nowrap="nowrap"><span class="sxSmallText">';
			echo '<strong><a href="forums_topic.php?topicid=' . $ROW->id . '&sxSearchHighlight=' . urlencode($search) . '">';
			
			if($ROW->topic)
				echo limitStringForce($ROW->topic, 30);
			else
				echo '[' . $sxLang['ForumUntitledTopic'] . ']';
			
			echo '</a>';
			
			if($ROW->locked)
				echo ' (' . $sxLang['ForumLocked'] . ')';
			echo '</strong></span></td>';
			
			$query5 = "SELECT * FROM $DB_Forums WHERE id='$ROW->forumid'";
			$result5 = mysql_query($query5, $Link) or queryError("777", mysql_error());
			$ROW5 = mysql_fetch_object($result5);
			
			echo '<td><a href="forums_view.php?forumid=' . $ROW->forumid . '"><span class="sxSmallText">' . limitStringForce($ROW5->name, 15) . '</span></a></td>';
			
			$query2 = "SELECT * FROM $DB_Users WHERE id='$ROW->userid'";
			$result2 = mysql_query($query2, $Link) or queryError("71", mysql_error());
			$ROW2 = mysql_fetch_object($result2);			
			echo '<td><a href="admin/profile_view.php?user=' . $ROW2->username . '"><span class="sxSmallText">' . $ROW2->username . '</span></a></td>';
			
			echo '<td>';
			$query2 = "SELECT * FROM $DB_Forums_Posts WHERE replyto='$ROW->id'";
			$result2 = mysql_query($query2, $Link) or queryError("71", mysql_error());
			echo mysql_num_rows($result2);
			echo '</td>';
			
			echo '<td width="125" nowrap="nowrap">';
			$query2 = "SELECT * FROM $DB_Forums_Posts WHERE replyto='$ROW->id' OR id='$ROW->id' ORDER BY timestamp DESC LIMIT 0,1";
			$result2 = mysql_query($query2, $Link) or queryError("71", mysql_error());
			$ROW2 = mysql_fetch_object($result2);
			echo '<span class="sxSmallText">' . fetchDate($ROW2->timestamp, 1, 1) . '<br />' . $sxLang['ForumBy'] . ' <a href="#">';
			
			$query3 = "SELECT * FROM $DB_Users WHERE id='$ROW2->userid'";
			$result3 = mysql_query($query3, $Link) or queryError("71", mysql_error());
			$ROW3 = mysql_fetch_object($result3);
			echo '<a href="admin/profile_view.php?user=' . $ROW3->username . '">' . $ROW3->username . '</a></span>';
			
			echo '</td></tr>';
		}
	  ?></table>
	  <?PHP
		if($sxNumTopics > $sxSetup['SearchResultsPerPage'])
			echo '<div style="padding-top:8px;padding-bottom:8px;font-size:10px;">';
		pageTurns($PHP_SELF.'?type=forum&search=' . $search . '&', $sxNumTopics, $page, $sxSetup['SearchResultsPerPage']);
		if($sxNumTopics > $sxSetup['SearchResultsPerPage'])
			echo '</div>';

	} // end search forum
	
	// Journal search
	if ( ($type == 'journal') AND (componentActive(1) == TRUE) )
	{
		$sxJournalResults = sxJournalSearchResults($search);
		$sxNumEntries = count($sxJournalResults);	
		
		echo '<p>' . $sxLang['SearchMessageKeyword'] . ' <strong>' . $search . '</strong></p>';
		echo $sxLang['SearchMessageGeneralPart1'] . ' <strong>' . getComponentName("1") . '</strong> ' . $sxLang['SearchMessageGeneralPart2'] . ' <strong>' . $sxNumEntries . '</strong> ' . $sxLang['GeneralItemItems'];
		echo '<br /><br /><br />';
		
		if($sxNumEntries > $sxSetup['SearchResultsPerPage'])
			echo '<div style="padding-top:8px;padding-bottom:8px;font-size:10px;">';
		pageTurns($PHP_SELF.'?type=journal&search=' . $search . '&', $sxNumEntries, $page, $sxSetup['SearchResultsPerPage']);
		if($sxNumEntries > $sxSetup['SearchResultsPerPage'])
			echo '</div>';
		
		?>
	   <table border="0" cellspacing="1" cellpadding="6" width="<?PHP echo $sxThemeConfig['ContentWidth']; ?>">
		<tr>
		  <td class="tableColumn"><?PHP echo $sxLang['GeneralItemTitle']; ?></td>
		  <td class="tableColumn"><?PHP echo $sxLang['GeneralItemDate']; ?></td>
		  <td class="tableColumn"><?PHP echo $sxLang['GeneralItemUser']; ?></td>
		</tr>
		<?PHP
		
		$limit_end   = ($page)*$sxSetup['SearchResultsPerPage'];
		if($limit_end > $sxNumEntries)
			$limit_end = $sxNumEntries;
		$limit_start = ($page-1)*$sxSetup['SearchResultsPerPage'];
		
		for($i = $limit_start; $i < $limit_end; $i++)
		{
			$query = "SELECT * FROM $DB_Journal WHERE id='$sxJournalResults[$i]'";
			$result = mysql_query($query, $Link) or queryError("777", mysql_error());
			$ROW = mysql_fetch_object($result);
			
			echo '<tr bgcolor="' . $sxTheme['ColorTableRow'] . '">';
			echo '<td nowrap="nowrap"><span class="sxSmallText">';
			echo '<strong><a href="journal.php?sxEntryID=' . $ROW->id . '">' . limitStringForce($ROW->title, 50) . '</a>';
			echo '</strong></span></td>';
			
			echo '<td>' . fetchDate($ROW->timestamp, 1, 1) . '</td>';
			
			echo '<td width="125" nowrap="nowrap">';			
			$query3 = "SELECT * FROM $DB_Users WHERE id='$ROW->userid'";
			$result3 = mysql_query($query3, $Link) or queryError("71", mysql_error());
			$ROW3 = mysql_fetch_object($result3);
			echo '<a href="admin/profile_view.php?user=' . $ROW3->username . '">' . $ROW3->username . '</a>';
			echo '</td></tr>';
		}
	  ?></table>
	  <?PHP
		if($sxNumEntries > $sxSetup['SearchResultsPerPage'])
			echo '<div style="padding-top:8px;padding-bottom:8px;font-size:10px;">';
		pageTurns($PHP_SELF.'?type=journal&search=' . $search . '&', $sxNumEntries, $page, $sxSetup['SearchResultsPerPage']);
		if($sxNumEntries > $sxSetup['SearchResultsPerPage'])
			echo '</div>';

	} // end search journal

	// Events search
	if ( ($type == 'events') AND (componentActive(8) == TRUE) )
	{
		$sxEventsResults = sxEventsSearchResults($search);
		$sxNumEntries = count($sxEventsResults);	
		
		echo '<p>' . $sxLang['SearchMessageKeyword'] . ' <strong>' . $search . '</strong></p>';
		echo $sxLang['SearchMessageGeneralPart1'] . ' <strong>' . getComponentName("8") . '</strong> ' . $sxLang['SearchMessageGeneralPart2'] . ' <strong>' . $sxNumEntries . '</strong> ' . $sxLang['SearchMessageGeneralPart3'];
		echo '<br /><br /><br />';
		
		if($sxNumEntries > $sxSetup['SearchResultsPerPage'])
			echo '<div style="padding-top:8px;padding-bottom:8px;font-size:10px;">';
		pageTurns($PHP_SELF.'?type=events&search=' . $search . '&', $sxNumEntries, $page, $sxSetup['SearchResultsPerPage']);
		if($sxNumEntries > $sxSetup['SearchResultsPerPage'])
			echo '</div>';
		
		?>
	   <table border="0" cellspacing="1" cellpadding="6" width="<?PHP echo $sxThemeConfig['ContentWidth']; ?>">
		<tr>
		  <td class="tableColumn"><?PHP echo $sxLang['GeneralItemDate']; ?></td>
		  <td class="tableColumn"><?PHP echo $sxLang['GeneralItemEvent']; ?></td>
		</tr>
		<?PHP
		
		$limit_end   = ($page)*$sxSetup['SearchResultsPerPage'];
		if($limit_end > $sxNumEntries)
			$limit_end = $sxNumEntries;
		$limit_start = ($page-1)*$sxSetup['SearchResultsPerPage'];
		
		for($i = $limit_start; $i < $limit_end; $i++)
		{
			$query = "SELECT * FROM $DB_Events WHERE id='$sxEventsResults[$i]'";
			$result = mysql_query($query, $Link) or queryError("777", mysql_error());
			$ROW = mysql_fetch_object($result);
			
			echo '<tr><td width="200" valign="top">';
			echo getFormattedEventDate($ROW->allday, $ROW->start_timestamp, $ROW->end_timestamp, 0);
			echo '</td>'."\n";
			echo '<td valign="top"><a href="calendar_day.php?sxTimestamp=' . $ROW->start_timestamp . '#' . $ROW->id . '">';
			echo stripslashes($ROW->longname);
			echo '</a></td></tr>'."\n";
		}
	  ?></table>
	  <?PHP
		if($sxNumEntries > $sxSetup['SearchResultsPerPage'])
			echo '<div style="padding-top:8px;padding-bottom:8px;font-size:10px;">';
		pageTurns($PHP_SELF.'?type=events&search=' . $search . '&', $sxNumEntries, $page, $sxSetup['SearchResultsPerPage']);
		if($sxNumEntries > $sxSetup['SearchResultsPerPage'])
			echo '</div>';

	} // end search events

	// Page search
	if($type == 'page')
	{
		$sxPageResults = sxPageSearchResults($search);
		$sxNumEntries = count($sxPageResults);	
		
		echo '<p>' . $sxLang['SearchMessageKeyword'] . ' <strong>' . $search . '</strong></p>';
		echo  $sxLang['SearchMessagePagesPart1'] . ' <strong>' . $sxNumEntries . '</strong> ' . $sxLang['SearchMessagePagesPart2'];
		echo '<br /><br /><br />';
		
		if($sxNumEntries > $sxSetup['SearchResultsPerPage'])
			echo '<div style="padding-top:8px;padding-bottom:8px;font-size:10px;">';
		pageTurns($PHP_SELF.'?type=page&search=' . $search . '&', $sxNumEntries, $page, $sxSetup['SearchResultsPerPage']);
		if($sxNumEntries > $sxSetup['SearchResultsPerPage'])
			echo '</div>';
		
		?>
	   <table border="0" cellspacing="1" cellpadding="6" width="<?PHP echo $sxThemeConfig['ContentWidth']; ?>">
		<tr>
		  <td class="tableColumn"><?PHP echo $sxLang['GeneralItemPage']; ?></td>
		</tr>
		<?PHP
		
		$limit_end   = ($page)*$sxSetup['SearchResultsPerPage'];
		if($limit_end > $sxNumEntries)
			$limit_end = $sxNumEntries;
		$limit_start = ($page-1)*$sxSetup['SearchResultsPerPage'];
		
		for($i = $limit_start; $i < $limit_end; $i++)
		{
			$query = "SELECT * FROM $DB_Pages WHERE id='$sxPageResults[$i]'";
			$result = mysql_query($query, $Link) or queryError("777", mysql_error());
			$ROW = mysql_fetch_object($result);
			
			echo '<tr bgcolor="' . $sxTheme['ColorTableRow'] . '">';
			echo '<td><span class="sxSmallText">';
			echo '<strong><a href="page.php?page=' . urlencode($ROW->name) . '&sxSearchHighlight=' . urlencode($search) . '">' . limitStringForce($ROW->name, 75) . '</a>';
			echo '</strong><blockquote>';
			
			echo limitStringForce(strip_tags($ROW->content), 190);
			
			echo '</blockquote></span></td>';
			echo '</tr>';
		}
	  ?></table>
	  <?PHP
		if($sxNumEntries > $sxSetup['SearchResultsPerPage'])
			echo '<div style="padding-top:8px;padding-bottom:8px;font-size:10px;">';
		pageTurns($PHP_SELF.'?type=page&search=' . $search . '&', $sxNumEntries, $page, $sxSetup['SearchResultsPerPage']);
		if($sxNumEntries > $sxSetup['SearchResultsPerPage'])
			echo '</div>';

	} // end search pages
} // End if search
  ?>
  </div>
<?PHP
include("themes/$THEME_FOLDER/footer.php");
ob_end_flush();
?>