<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<title><?PHP echo $sxSetup['SiteName']; if (strlen($sxTitleAddendum) > 0) echo ' - ' . $sxTitleAddendum; ?></title>
<?PHP echoMETA($page,htmlspecialchars(strip_tags($sxMetaAddendum))); ?>

<link rel="stylesheet" type="text/css" href="<?PHP echo $sxSetup['Url']; ?>/includes/colorpicker/colorpicker.css" />
<!-- RSS feed autodiscovery -->
<link rel="alternate" type="application/rss+xml" title="<?PHP echo $sxSetup['Url']; ?> RSS Feed" href="content/rss.xml" />

<style type="text/css">
/* ************************
GENERAL HTML STYLES
************************* */
html {
	min-height: 100%;
	margin-bottom: 1px;
}
body,td,th {
	color: <?PHP echo $sxTheme['ColorText']; ?>;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 10px;
}
body {
	background-color: <?PHP echo $sxThemeConfig['SiteBaseColor']; ?>;
	margin: <?php echo $sxThemeConfig['SitePadding']; ?>px;
}
hr {
	border: none 0;
	border-top : 1px solid Silver;
}
legend {
	color: <?PHP echo $sxTheme['ColorPrimary']; ?>;
	font-weight: bold;
}
a:link {
	color: <?PHP echo $sxTheme['ColorLinks']; ?>;
	text-decoration: none;
}
a:visited {
	color: <?PHP echo $sxTheme['ColorLinksVisited']; ?>;
	text-decoration: none;
}
a:hover {
	color: <?PHP echo $sxTheme['ColorLinksHover']; ?>;
	text-decoration: underline;
}
a:link img {
	border: 1px solid <?PHP echo $sxTheme['ColorLinks']; ?>;
}
a:visited img {
	border: 1px solid <?PHP echo $sxTheme['ColorLinksVisited']; ?>;
	}
a:hover img {
	border: 1px solid <?PHP echo $sxTheme['ColorLinksHover']; ?>;
	}
input, select, textarea {
	line-height: 10px;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 9px;
}
h1 {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	font-weight: bold;
	padding: 4px;
	padding-left: 0px;
	margin: 0px;
}
ul {
	margin: 2px;
	list-style: square; 
	margin-left: 20px;
	padding-left: 0;
}
li {
  padding-left: 0px;
  padding-top: 0px;
}
/* ************************
SITEX CORE STYLES
************************* */

a.tableColumn:link {
       color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
       text-decoration: underline;
}
a.tableColumn:visited {
       color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
       text-decoration: underline;
}
a.tableColumn:hover {
       color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
       text-decoration: none;
}

.noscript {
	font-size: 11px;
	color: red;
	text-align: center;
	padding-bottom:15px;
}
.sitename {
	font-weight: bold;
	color: <?PHP echo $sxTheme['ColorSiteName']; ?>;
	z-index: 2;
	position: relative;
	top: 70px;
	bottom: -60px;
	left: 5px;
	margin-top: 0px;
	font-size: 14px;
	text-align: left;
}
.slogan {
font-size: 12px;
	position: relative;
	font-weight: normal;
	color: <?PHP echo $sxTheme['ColorSiteName']; ?>;	<br>
	text-align: left;
}
.pagename {
	font-size: 12px;
	font-weight: bold;
	color: <?PHP echo $sxTheme['ColorSiteName']; ?>;
	padding: 15px;
}
.RandomPhotos
{
	padding-left : 0px;
	padding-top : 0px;
}
.navigation {
	border: 0px solid <?PHP echo $sxTheme['ColorPrimary']; ?>;
    background: url(<?PHP echo $sxSetup['Url'].'/themes/'.$THEME_FOLDER.'/images/'.$SCHEME_NAME.'/'; ?>nav_bg.gif) repeat-x ;
	background-position: 0px 0px;
	display : block;
	line-height : 25px;
    padding: 0px 0px 0px 0px;
    width: <?PHP echo $sxThemeConfig['MenuWidth']; ?>px;
	font-weight: bold;
	text-decoration: none;
	font-size: 10px;
	margin : 0px 0px -12px 0px;
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
}
a.navigation:link {
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
	text-decoration: none;
}
a.navigation:visited {
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
	text-decoration: none;
}
a.navigation:hover {
	color: #<?PHP echo $sxThemeConfig['MenuHoverColor']; ?>;
	background: url(<?PHP echo $sxSetup['Url'].'/themes/'.$THEME_FOLDER.'/images/'.$SCHEME_NAME.'/'; ?>nav_bg_on.gif) repeat-x;
	text-decoration: none;
	background-position: 0px 0px;
	padding-top: -10px;
	margin : 0px 0px -12px 0px;
}
.padding5 {
	padding: 5px;
}

.textSecondary {
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
}

.login {
	width: 75px;
}

.lastupdated {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 10px;
	font-style: italic;
	color: #666666;
}
/* gallery layout styles */
.sxGalleryThumb {
  <?php if ($sxThemeConfig['GalleryThumbBox'] == 1) { ?>
  	height: <?PHP echo $sxSetup['GalleryMaxDimensionThumb']+2; ?>px;
  	width: <?PHP echo $sxSetup['GalleryMaxDimensionThumb']+2; ?>px;
  <?php } ?>	
	text-align: center;
}
.sxAlbumThumb {
  <?php if ($sxThemeConfig['GalleryAlbumThumbBox'] == 1) { ?>
  	height: <?PHP echo $sxSetup['GalleryMaxDimensionThumb']+2; ?>px;
  	width: <?PHP echo $sxSetup['GalleryMaxDimensionThumb']+2; ?>px;
  <?php } ?>
	text-align: center;		
}
.sxGalleryThumbnailContainer {
  margin:5px;
  padding: 5px;
  <?php if ($sxThemeConfig['GalleryThumbBox'] == 1) { ?>
  border: 1px solid <?PHP echo $sxTheme['ColorPrimary']; ?>;
  padding: 10px;
  background: <?PHP echo $sxTheme['ColorBackground']; ?>;
  <?php } ?>
}
.sxAlbumThumbnailContainer {
  margin:5px;
  padding: 5px;
  <?php if ($sxThemeConfig['GalleryAlbumThumbBox'] == 1) { ?>
  border: 1px solid <?PHP echo $sxTheme['ColorPrimary']; ?>;
  padding: 10px;
  background: <?PHP echo $sxTheme['ColorBackground']; ?>;
  <?php } ?>
}
.sxPhotoContainer {
  <?php if ($sxThemeConfig['GalleryPhotoBox'] == 1) { ?>
  	height: <?PHP echo $sxSetup['GalleryMaxDimensionPhoto']+2; ?>px;
  	width: <?PHP echo $sxSetup['GalleryMaxDimensionPhoto']+2; ?>px;
  <?php } ?>	
	text-align: center;
}
/* sets photo.php photo style properties
see theme config $sxThemeConfig['PhotoCenter']
 */
.sxScaledPhoto {
  margin:5px;
  padding: 5px;
  display: table-cell;
  vertical-align: middle;
  position:relative;
  top:-1px;
  left:-1px;
  <?php if ($sxThemeConfig['GalleryPhotoBox'] == 1) { ?>
  border: 1px solid <?PHP echo $sxTheme['ColorPrimary']; ?>;
  padding: 10px;
  background: <?PHP echo $sxTheme['ColorBackground']; ?>;
  <?php } ?>
}
.pageTurns {
	padding-top:8px;
	padding-bottom:8px;
	padding-left:10px;
	padding-right:10px;
	text-align:center;
	font-size:10px;
}
.sxGalleryLayout{

}
.sxAlbumDescription {
	margin-top: 7px;
	text-align: left;
}
.sxPhotoDescription {

}
.galleryData {
	font-size: 11px;
	color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
	background-color: <?PHP echo $sxTheme['ColorTable']; ?>;
	background-position: center;
	text-align: center;
	padding: 5px;
}
/* end gallery layout styles */

.tableColumn {
	font-size: 11px;
	color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
	background-color: <?PHP echo $sxTheme['ColorTable']; ?>;
	background-position: center;
	text-align: left;
}

.message {
	font-size: 11px;
	color: #777777;
	text-align: center;
	padding-bottom:15px;
}
.sxAdminWarning {
	color: #000000;
	text-align: center;
	padding:4px;
	background: #FEFFE0;
	margin-top: -8px;
}
.sxAdminWarning a {
	color: #000000;
	text-decoration: underline;
}
.sxWarningTitle {
font-weight: bold;
text-align: center;
}
.sxTextHighlight{
background: yellow;
color: black;
}
.bodyWrapper {
	/* background-color:<?PHP echo $sxTheme['ColorBackground']; ?>; */
	text-align: left;
	margin: 0px;
	padding: 10px;
	width: <?php echo ($sxThemeConfig['ContentWidth']-20); ?>px ;
}

.journalReadmore {
	text-align:right;
}
.journalDate {
    color: #999999;
    font-weight: bold;
    text-decoration:none;
}
.journalControls {
    font-size: 10px;
    font-weight: bold;
    padding-top: 5px;
    text-align: left;
}
.journalAdd {
    font-size: 11px;
    font-weight: bold;
    padding-top: 5px; 
    padding-bottom: 5px;
    text-align: right;
}
.journalHead {

}
.journalTitle {
    font-size: 11px;
    font-weight: bold;
}
.journalBy {
    font-size: 10px;
    font-weight: normal;
    margin-right: 4px;
    text-align: right;
}
.journalEntry {
padding-top: 5px;
overflow: auto;
}
.journalComments {
padding-bottom:10px;
text-align: right;
}
.commentBy {
    font-size: 10px;
    font-weight: normal;
    margin-left: 4px;
    text-align: left
}
.eventDate {
	color: #999999;
	font-weight: bold;
	padding-top: 15px;
}
.eventNameLong {
	color: <?PHP echo $sxTheme['ColorLinks']; ?>;
	font-weight: bold;
	font-size: 13px;
}
.eventDescription {
	padding-top: 10px;
	padding-bottom: 10px;
}
.eventAdminLinks {
	padding-bottom: 15px;
}
.shadowText {
	color: #999999;
}
.td_background {
	background-color: ;
}
.td_primary {
	background-color:<?PHP echo $sxTheme['ColorPrimary']; ?>;
}
.td_secondary {
	background-color:<?PHP echo $sxTheme['ColorSecondary']; ?>;
	background: url(<?PHP echo $sxSetup['Url'].'/themes/'.$THEME_FOLDER.'/images/'.$SCHEME_NAME.'/'; ?>nav_bg_base.png) repeat-y ;
}
.loggedInInfo {
	padding: 5px;
	color: <?PHP echo $sxTheme['ColorSiteName']; ?>;
}
.loginArea
{
	padding: 5px;
	color: <?PHP echo $sxTheme['ColorSiteName']; ?>;
	z-index: 2;
	position: relative;
	top: 0px;
	left: 0px;
}
.accountLinks {
	font-size: 10px;
}
.footerText {
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
	font-size: 10px;
}
.loginBoxLinks {
	font-size: 10px;
}
.postedBy {
	font-size: 11px;
	font-weight: bold;
}
.pageTurns{
	padding-top:8px;
	padding-bottom:8px;
	font-size:10px;
}
.eventTodayColor {
	background-color: <?PHP echo $sxTheme['ColorTable']; ?>;
}
.eventOffdayColor {
	background-color: <?PHP echo $sxTheme['ColorBackground']; ?>;
}
.eventCalendar {
	background-color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
}
.sxTdItem {
	font-weight: bold;
	text-align: right;
	vertical-align: top;
	padding-top:8px;
	padding-right:5px;
}
.sxSection {
	font-size: 10px;
	margin-top: 20px;
	margin-bottom: 20px;
	padding-top: 5px;
	border-top-style:solid;
	border-top-width:1px;
	border-top-color: <?PHP echo $sxTheme['ColorText']; ?>;
}
.sxSmallText {
	font-size: 10px;
	font-weight: normal;
}
.sxLargeText {
	font-size: 12px;
	font-weight: bold;
}
.sxTextHighlight{
	background: yellow;
	color: black;
}
a.sxTextHighlight: link, visited, hover {
	background: yellow;
	color: black;
	text-decoration: underline;
}
.pageContent {
	padding-bottom: 10px;
}
.sxTableColorText {
	color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
}
.sxTdTableRow {
	background-color: <?PHP echo $sxTheme['ColorTableRow']; ?>;
}
.sxAutolink {
	width:565px;
	text-align:center;
	background:#EFEFDE;
	padding:5px;
	color:#000000;
}
.sxMainMode {
	width:400px;
	padding:4px;
	margin-left: auto;
	margin-right: auto;
	background: #FFFFFF;
	color: red;
	font-size: 11px;
	text-align: center;
	border: 1px solid #c0c0c0;
}
.sxMainMode a {
	color: red;
	text-decoration: underline;
}
.sxCommentsTable {
	border-color: <?PHP echo $sxTheme['ColorTable']; ?>;
	border-style:solid;
	border-width: 3px;
}
.sxCommentsTableHeader {
	color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
	background: <?PHP echo $sxTheme['ColorTable']; ?>;
	padding: 5px;
}
.BoundingBox {
	border-color: <?PHP echo $sxThemeConfig['SiteBorderColor']; ?>;
	border-style: solid;
	border-width: 1px;
	background-color: <?PHP echo $sxTheme['ColorBackground']; ?>;
}
.sxAlbumDescription {
	padding: 5px;
}
.sxAdminBreadcrumbs {
	font-size: 10px;
	padding-top:5px;
}
.center {
 text-align : center;
 margin-left: auto;
 margin-right: auto;
 width: 50em;
}
.fieldset {
	width:180px;
	background-color: <?PHP echo $sxTheme['ColorTable']; ?>;
	border: 0px solid #BFBFBF;
	padding: 4px;
	margin-left: 6px;
	filter:alpha(opacity=90);
	opacity: 0.9;
	-moz-opacity:0.9;
}
.nomargin {
  padding: 0px;
  margin: 0px;
}
.sxRandomPhotos img{
height: <?PHP echo $sxThemeConfig['HomepageThumbHeight']; ?>px;
}
.sxPollName {
	padding-top: 5px;
}
.sxPollPercent { 
	position: relative;
	bottom: 2px;
	font-size: 10px;
}
.sxHomepageItemName {
	font-weight: bold;
	padding-top: 5px;
	padding-bottom: 5px;
}
.sxNoBorder {
	border: 0px;
}

.sxMiddle {
	
}
.sxButton {

}
/* ************************
THEME STYLES (add your own classes below this)
Prefix class names with theme name e.g. .corporate_myclass
************************* */


</style>
</head>

<body>
<?php 

// get name of current scheme
$Schemequery = "SELECT * FROM $DB_Themes_Setup WHERE themeid='$THEME' AND selected='1'";
$Schemeresult = mysql_query($Schemequery) ;
$SchemeROW = mysql_fetch_object($Schemeresult);
$Scheme_name = $SchemeROW->name;

?>
<?PHP sxMaintenanceModeMessage(); ?>
<?PHP if(!$reviewMode){ ?>

<!-- bounding table -->
<table width="<?php echo $sxThemeConfig['BoxWidth']; ?>+2" align="<?php echo $sxThemeConfig['SiteAlign']; ?>" border="0" cellspacing="0" cellpadding="0">
<tr><td height="0"><div align="left" class="sitename">
			<?PHP if($sxTheme['ShowSiteName']){ ?><?PHP echo $sxSetup['SiteName']; ?><br><?PHP } ?><?PHP if(strlen($sxSetup['TextHeader']) > 0) {?><span class="slogan"><?PHP echo $sxSetup['TextHeader']; ?></span><?PHP } ?>
			</div>
</td></tr>
			<tr>
			<td align="right" height="25">
			<!-- login area --> 
			<div class="loginArea">	
				<table align="right" border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td valign="middle">			
						<?PHP if(($sxSetup['ShowLogin'])AND(!loggedIn())){ ?>
						<a class="loginBoxLinks" href="<?PHP echo $sxSetup['Url'].'/'; ?>password.php"><?PHP echo $sxLang['UserButtonPassword']; ?></a>
						<?PHP if($sxSetup['AllowSignup']) { ?> | <a class="loginBoxLinks" href="signup.php"><?PHP echo $sxLang['UserButtonSignup']; ?></a>
						<?PHP } ?>	
					</td>
					<td valign="middle" class="loggedInInfo" >
						<form action="<?PHP echo "http://{$HTTP_HOST}{$REQUEST_URI}"; ?>" method="post" enctype="multipart/form-data" name="sxLogin" style="margin: 0px; padding: 0px;">
						&nbsp;|&nbsp;
						<?PHP echo $sxLang['UserItemUsername']; ?>: <input class="login" name="username" type="text" maxlength="35" />&nbsp;
						<?PHP echo $sxLang['UserItemPassword']; ?>: <input class="login" name="password" type="password" maxlength="35" class="sxButton"/>&nbsp;
						<input type="submit" name="Login" value="<?PHP echo $sxLang['UserButtonLogin']; ?>" />
						</form>
					<?PHP } ?>
					</td>
					<td class="loggedInInfo">
						<?PHP if(loggedIn()){ ?>
						<?PHP echo $sxLang['Welcome']; ?> <strong><?PHP echo $HTTP_SESSION_VARS['username']; ?></strong>
						<?PHP if(userAdmin()){ ?>: <a href="<?PHP echo $sxSetup['Url'].'/admin/'; ?>"><span class="accountLinks"><?PHP echo $sxLang['AdminPanel']; ?></span></a><?PHP } ?>
						| <a href="<?PHP echo $sxSetup['Url'].'/admin/profile.php'; ?>"><span class="accountLinks"><?PHP echo $sxLang['Profile']; ?></span></a>
						| <a href="<?PHP echo $sxSetup['Url'].'/'; ?>logout.php?p=<?PHP echo urlencode("http://{$HTTP_HOST}{$REQUEST_URI}"); ?>"><span class="accountLinks"><?PHP echo $sxLang['Logout']; ?></span></a>
						| <?PHP echo getVisitors().' '.$sxLang['Visitors']; ?>
						<?PHP } ?>
					</td>
						<!-- show RSS feed icon if journal is turned on -->
						<?PHP if(componentActive(1)){ ?>
					<td valign="middle">
						&nbsp;
						<a href="<?PHP echo $sxSetup['Url'].'/content/'; ?>rss.xml"><img src="<?PHP echo $sxSetup['Url'].'/images/'; ?>rss20.gif" style="border: 0;" alt=""></a>
					</td>
						<?PHP } ?>
				</tr>
				</table>
			</div>
			<!-- end login area -->
			</td>
		</tr>
		<tr>		
		<!-- main table -->
		<td class="BoundingBox" valign="top">
		<table border="0" cellspacing="0" cellpadding="0" width="100%" >
			<!-- logo area --> 
			<tr> 
				<td class="td_primary" height="60" colspan="2">
			
				<?PHP
				// Title picture display
				if(getTitlePicture())
				{
					$filenameTitle = getTitlePicture();
					echo '<img src="' . $sxSetup['Url'] . '/content/title_pictures/' . $filenameTitle .'" width="' . getTitleWidth($filenameTitle) . '" height="' . getTitleHeight($filenameTitle) . '" alt="' . getTitleName($filenameTitle) . '" />';
				}
				?></td>
			</tr>
			<!-- end logo area -->
			<!-- end header -->
			<tr valign="top">
				<!-- navigation -->
				<td class="td_secondary" width="<?PHP echo $sxThemeConfig['MenuWidth']; ?>" height="100%" align="left" valign="top" >
					<div style="padding-top: 0px; width: <?PHP echo $sxThemeConfig['MenuWidth']; ?>px; ">
					<?PHP echoNavigation('vert'); ?> <br><br> 
					<?PHP } ?>
					</div>
				</td>
				<!-- end navigation -->
				<td height="100%" align="left" width="<?PHP echo $sxThemeConfig['ContentWidth']; ?>" valign="top">
