<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<title><?PHP echo $sxSetup['SiteName']; if (strlen($sxTitleAddendum) > 0) echo ' - ' . $sxTitleAddendum; ?></title>
<?PHP echoMETA($page,htmlspecialchars(strip_tags($sxMetaAddendum))); ?>

<link rel="stylesheet" type="text/css" href="<?PHP echo $sxSetup['Url']; ?>/includes/colorpicker/colorpicker.css" />
<!-- RSS feed autodiscovery -->
<link rel="alternate" type="application/rss+xml" title="<?PHP echo $sxSetup['Url']; ?> RSS Feed" href="content/rss.xml" />

<style type="text/css">
/* ************************
GENERAL HTML STYLES
************************* */
html {
	min-height: 100%;
	margin-bottom: 1px;
}
body,td,th {
	color: <?PHP echo $sxTheme['ColorText']; ?>;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 10px;
}
body {
	background-color: <?PHP echo $sxThemeConfig['SiteBaseColor']; ?>;
	margin: <?php echo $sxThemeConfig['SitePadding']; ?>px;
}
a:link {
	color: <?PHP echo $sxTheme['ColorLinks']; ?>;
	text-decoration: none;
}
a:visited {
	color: <?PHP echo $sxTheme['ColorLinksVisited']; ?>;
	text-decoration: none;
}
a:hover {
	color: <?PHP echo $sxTheme['ColorLinksHover']; ?>;
	text-decoration: none;
}
a:link img {
	border: 1px solid <?PHP echo $sxTheme['ColorLinks']; ?>;
}
a:visited img {
	border: 1px solid <?PHP echo $sxTheme['ColorLinksVisited']; ?>;
	}
a:hover img {
	border: 1px solid <?PHP echo $sxTheme['ColorLinksHover']; ?>;
	}
input, select, textarea {
	line-height: 10px;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 9px;
}
h1 {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	font-weight: bold;
}
legend {
	color: <?PHP echo $sxTheme['ColorPrimary']; ?>;
	font-weight: bold;
}
ul {
margin: 2px;
list-style: square; 
margin-left: 20px;
padding-left: 0;
}
li {
  padding-left: 0px;
  padding-top: 0px;
}
/* ************************
SITEX CORE STYLES
************************* */
a.tableColumn:link {
       color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
       text-decoration: underline;
}
a.tableColumn:visited {
       color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
       text-decoration: underline;
}
a.tableColumn:hover {
       color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
       text-decoration: none;
}
.noscript {
	font-size: 11px;
	color: red;
	text-align: center;
	padding-bottom:15px;
}
.sitename {
	font-weight: bold;
	color: <?PHP echo $sxTheme['ColorSiteName']; ?>;
	z-index: 2;
	position: relative;
	margin-top: 0px;
	float: left;
	margin-bottom: -15px;
	top: 25px;
	left: 5px;
	font-size: 14px;
	text-align: left;
	width: 100%;
}
.slogan {
font-size: 12px;
	position: relative;
	left: -4px;
	font-weight: normal;
	color: <?PHP echo $sxTheme['ColorSiteName']; ?>;
	text-align: left;
}
.pagename {
	font-size: 12px;
	font-weight: bold;
	color: <?PHP echo $sxTheme['ColorSiteName']; ?>;
	padding: 15px;
}

.navigation {
	font-weight: bold;
	text-decoration: none;
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
}
a.navigation:link {
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
	text-decoration: none;
}
a.navigation:visited {
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
	text-decoration: none;
}
a.navigation:hover {
	color: <?PHP echo $sxTheme['ColorPrimary']; ?>;
	text-decoration: none;
}
.textSecondary {
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
}

.login {
	width: 75px;
}
.lastupdated {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 10px;
	font-style: italic;
	color: #666666;
}
/* gallery layout styles */
.sxGalleryThumb {
  <?php if ($sxThemeConfig['GalleryThumbBox'] == 1) { ?>
  	height: <?PHP echo $sxSetup['GalleryMaxDimensionThumb']+2; ?>px;
  	width: <?PHP echo $sxSetup['GalleryMaxDimensionThumb']+2; ?>px;
  <?php } ?>	
	text-align: center;
}
.sxAlbumThumb {
  <?php if ($sxThemeConfig['GalleryAlbumThumbBox'] == 1) { ?>
  	height: <?PHP echo $sxSetup['GalleryMaxDimensionThumb']+2; ?>px;
  	width: <?PHP echo $sxSetup['GalleryMaxDimensionThumb']+2; ?>px;
  <?php } ?>
	text-align: center;		
}
.sxGalleryThumbnailContainer {
  margin:5px;
  padding: 5px;
  <?php if ($sxThemeConfig['GalleryThumbBox'] == 1) { ?>
  border: 1px solid <?PHP echo $sxTheme['ColorPrimary']; ?>;
  padding: 10px;
  background: <?PHP echo $sxTheme['ColorBackground']; ?>; 
  /* background-image: url(<?PHP echo $sxSetup['Url'].'/themes/'.$THEME_FOLDER.'/images/'; ?>slide_bg.gif) no-repeat; */
  <?php } ?>
}
.sxAlbumThumbnailContainer {
  margin:5px;
  padding: 5px;
  <?php if ($sxThemeConfig['GalleryAlbumThumbBox'] == 1) { ?>
  border: 1px solid <?PHP echo $sxTheme['ColorPrimary']; ?>;
  padding: 10px;
  background: <?PHP echo $sxTheme['ColorBackground']; ?>;
  <?php } ?>
}
.sxPhotoContainer {
  <?php if ($sxThemeConfig['GalleryPhotoBox'] == 1) { ?>
  	height: <?PHP echo $sxSetup['GalleryMaxDimensionPhoto']+2; ?>px;
  	width: <?PHP echo $sxSetup['GalleryMaxDimensionPhoto']+2; ?>px;
  <?php } ?>	
	text-align: center;
}
/* sets photo.php photo style properties
see theme config $sxThemeConfig['PhotoCenter']
 */
.sxScaledPhoto {
  margin:5px;
  padding: 5px;
  display: table-cell;
  vertical-align: middle;
  position:relative;
  top:-1px;
  left:-1px;
  <?php if ($sxThemeConfig['GalleryPhotoBox'] == 1) { ?>
  border: 1px solid <?PHP echo $sxTheme['ColorPrimary']; ?>;
  padding: 10px;
  background: <?PHP echo $sxTheme['ColorBackground']; ?>;
  <?php } ?>
}
.pageTurns {
	padding-top:8px;
	padding-bottom:8px;
	padding-left:10px;
	padding-right:10px;
	text-align:center;
	font-size:10px;
}
.sxGalleryLayout{

}
.sxAlbumDescription {
	margin-top: 7px;
	text-align: left;
}
.sxPhotoDescription {

}
.galleryData {
	font-size: 11px;
	color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
	background-color: <?PHP echo $sxTheme['ColorTable']; ?>;
	background-position: center;
	text-align: center;
	padding: 5px;
}
/* end gallery layout styles */

.tableColumn {
	font-size: 11px;
	color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
	background-color: <?PHP echo $sxTheme['ColorTable']; ?>;
	background-position: center;
	text-align: left;
}
.message {
	font-size: 11px;
	color: #777777;
	text-align: center;
	padding-bottom:15px;
}
.sxAdminWarning {
	color: #000000;
	text-align: center;
	padding:4px;
	background: #FEFFE0;
	margin-top: -8px;
}
.sxAdminWarning a {
	color: #000000;
	text-decoration: underline;
}
.sxWarningTitle {
font-weight: bold;
text-align: center;
}
.bodyWrapper {
	padding-left:25px;
	padding-right:25px;
	padding-top:10px;
	padding-bottom:10px;
	background-color:<?PHP echo $sxTheme['ColorBackground']; ?>;
}

.journalReadmore {
	text-align:right;
}
.journalDate {
    color: #999999;
    font-weight: bold;
    text-decoration:none;
}
.journalControls {
    font-size: 10px;
    font-weight: bold;
    padding-top: 5px;
    text-align: left;
}
.journalAdd {
    font-size: 11px;
    font-weight: bold;
    padding-top: 5px; 
    padding-bottom: 5px;
    text-align: right;
}
.journalHead {

}
.journalTitle {
    font-size: 11px;
    font-weight: bold;
}
.journalBy {
    font-size: 10px;
    font-weight: normal;
    margin-right: 4px;
    text-align: right;
}
.journalEntry {
padding-top: 5px;
overflow: auto;
}
.journalComments {
padding-bottom:10px;
text-align: right;
}
.commentBy {
    font-size: 10px;
    font-weight: normal;
    margin-left: 4px;
    text-align: left
}
.eventDate {
	color: #999999;
	font-weight: bold;
	padding-top: 15px;
}
.eventNameLong {
	color: <?PHP echo $sxTheme['ColorLinks']; ?>;
	font-weight: bold;
	font-size: 13px;
}
.eventDescription {
	padding-top: 10px;
	padding-bottom: 10px;
}
.eventAdminLinks {
	padding-bottom: 15px;
}
.shadowText {
	color: #999999;
}
.td_background {
	background-color:<?PHP echo $sxTheme['ColorBackground']; ?>;
}
.td_primary {
	background-color:<?PHP echo  $sxTheme['ColorPrimary']; ?>;
}
.td_secondary {
	background-color:<?PHP echo $sxTheme['ColorSecondary']; ?>;
}
.loggedInInfo {
	padding: 5px;
	color: <?PHP echo $sxTheme['ColorSiteName']; ?>;
}
.accountLinks {
	font-size: 10px;
}
.footerText {
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
	font-size: 10px;
}
.loginBoxLinks {
	font-size: 10px;
}
.postedBy {
	font-size: 11px;
	font-weight: bold;
}
.eventTodayColor {
	background-color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
}
.eventOffdayColor {
	background-color: <?PHP echo $sxTheme['ColorTable']; ?>;
}
.eventBlankDays {
	background-color: <?PHP echo $sxTheme['ColorSecondary']; ?>;
}
.eventCalendar {
	background-color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
}
.sxTdItem {
	font-weight: bold;
	text-align: right;
	vertical-align: top;
	padding-top:8px;
	padding-right:5px;
}
.sxSection {
	font-size: 10px;
	margin-top: 20px;
	margin-bottom: 20px;
	padding: 2px;
	border: 0px;
	background: <?PHP echo $sxTheme['ColorTable']; ?>;
	color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
}
.sxSmallText {
	font-size: 10px;
	font-weight: normal;
}
.sxLargeText {
	font-size: 16px;
	font-weight: bold;
}
.sxTextHighlight{
	background: yellow;
	color: red;
}
a.sxTextHighlight: link, visited, hover {
	background: yellow:
	color: red;
	text-decoration: underline;
}
.pageContent {
padding-bottom: 10px;
}
.sxTableColorText {
	color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
}
.sxTdTableRow {
	background-color: <?PHP echo $sxTheme['ColorTableRow']; ?>;
}
.sxAutolink {
	width:565px;
	text-align:center;
	background:#EFEFDE;
	padding:5px;
	color:#000000;
}
.sxMainMode {
padding:4px;
width:400px;
margin-left: auto;
margin-right: auto;
background: #FFFFFF;
color: red;
font-size: 11px;
text-align: center;
border: 1px solid #c0c0c0;
}
.sxMainMode a {
color: red;
text-decoration: underline;
}
.sxCommentsTable {
	border-color: <?PHP echo $sxTheme['ColorTable']; ?>;
	border-style:solid;
	border-width: 3px;
}
.sxCommentsTableHeader {
	color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
	background: <?PHP echo $sxTheme['ColorTable']; ?>;
	padding: 5px;
}
.BoundingBox {
	border-color: <?PHP echo $sxThemeConfig['SiteBorderColor']; ?>;
	border-style: solid;
	border-width: 1px;
	background-color: <?PHP echo $sxTheme['ColorBackground']; ?>;
}
.sxAdminBreadcrumbs {
	font-size: 10px;
	padding-bottom:10px;
}
.sxRandomPhotos img{
	height: <?PHP echo $sxThemeConfig['HomepageThumbHeight']; ?>px;
}
.sxPollName {
	padding-top: 5px;
	font-weight: bold;
}
.sxPollPercent { 
	position: relative;
	bottom: 2px;
	font-size: 10px;
}
.sxHomepageItemName {
	font-weight: bold;
	padding-top: 5px;
	padding-bottom: 5px;
}

.sxNoborder {
	
}
.sxMiddle {

}
.sxButton {

}
/* ************************
THEME STYLES (add your own classes below this)
Prefix class names with theme name e.g. .fusion_myclass
************************* */
</style>
</head>

<body>
<?PHP sxMaintenanceModeMessage(); ?>
<?PHP if(!$reviewMode){ ?>

<!-- bounding table -->
<table width="<?php echo $sxThemeConfig['BoxWidth']; ?>" align="<?php echo $sxThemeConfig['SiteAlign']; ?>" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td align="right" height="35">
	<!-- login area -->
	<div class="loggedInInfo">
		<table align="right" border="0" cellspacing="0" cellpadding="0">
		  <tr valign="middle">
			<td valign="middle" align="right">
				<?PHP if(($sxSetup['ShowLogin'])AND(!loggedIn())){ ?>
				<a class="loginBoxLinks" href="<?PHP echo $sxSetup['Url'].'/'; ?>password.php"><?PHP echo $sxLang['UserButtonPassword']; ?></a>
				<?PHP if($sxSetup['AllowSignup']) { ?> | <a class="loginBoxLinks" href="signup.php"><?PHP echo $sxLang['UserButtonSignup']; ?></a>
				<?PHP } ?>
			</td>
			<td valign="middle" align="right">
				<form action="<?PHP echo "http://{$HTTP_HOST}{$REQUEST_URI}"; ?>" method="post" enctype="multipart/form-data" name="sxLogin" style="margin: 0px; padding: 0px;">
					&nbsp;|&nbsp;
					<?PHP echo $sxLang['UserItemUsername']; ?>: <input class="login" name="username" type="text" maxlength="35" />&nbsp;
					<?PHP echo $sxLang['UserItemPassword']; ?>: <input class="login" name="password" type="password" maxlength="35" class="sxButton"/>&nbsp;
					<input type="submit" name="Login" value="<?PHP echo $sxLang['UserButtonLogin']; ?>" />
					</form>
					<?PHP } ?>
			</td>
			<td valign="middle" align="right">
					<?PHP if(loggedIn()){ ?>
					<?PHP echo $sxLang['Welcome']; ?> <strong><?PHP echo $HTTP_SESSION_VARS['username']; ?></strong>
					<?PHP if(userAdmin()){ ?>: <a href="<?PHP echo $sxSetup['Url'].'/admin/'; ?>"><span class="accountLinks"><?PHP echo $sxLang['AdminPanel']; ?></span></a><?PHP } ?>
					| <a href="<?PHP echo $sxSetup['Url'].'/admin/profile.php'; ?>"><span class="accountLinks"><?PHP echo $sxLang['Profile']; ?></span></a>
					| <a href="<?PHP echo $sxSetup['Url'].'/'; ?>logout.php?p=<?PHP echo urlencode("http://{$HTTP_HOST}{$REQUEST_URI}"); ?>"><span class="accountLinks"><?PHP echo $sxLang['Logout']; ?></span></a>
					| <?PHP echo getVisitors().' '.$sxLang['Visitors']; ?>
					<?PHP } ?>
					</td>					
					<!-- show RSS feed icon if journal is turned on -->
					<?PHP if(componentActive(1)){ ?>
					<td valign="middle">
					&nbsp;
					<a href="<?PHP echo $sxSetup['Url'].'/content/'; ?>rss.xml"><img src="<?PHP echo $sxSetup['Url'].'/images/'; ?>rss20.gif" style="border: 0;" alt="RSS" align="middle" /></a>
					</td>
					<?PHP } ?>				
			</tr>
		</table>
	</div>
	<div class="sitename">
	<?PHP if($sxTheme['ShowSiteName']){ ?><?PHP echo $sxSetup['SiteName']; ?><br /><?PHP } ?><?PHP if(strlen($sxSetup['TextHeader']) > 0) {?><span class="slogan">&nbsp;<?PHP echo $sxSetup['TextHeader']; ?></span><?PHP } ?>
	</div>
	<!-- end login area --> 

	</td>
	</tr>

	<tr>
		<td class="BoundingBox" valign="top">

		<!-- main table -->
		<table border="0" cellspacing="0" cellpadding="0" width="100%">
		
			<!-- logo area --> 
	
			<tr> 
				<td class="td_primary" height="100"><?PHP
				// Title picture display
				if(getTitlePicture())
				{
					$filenameTitle = getTitlePicture();
					echo '<img src="' . $sxSetup['Url'] . '/content/title_pictures/' . $filenameTitle .'" width="' . getTitleWidth($filenameTitle) . '" height="' . getTitleHeight($filenameTitle) . '" alt="' . getTitleName($filenameTitle) . '" />';
				}
				?></td>
			</tr>
			
			<!-- end logo area -->
			
			<!-- navigation -->
			<tr>
				<td colspan="2" class="td_secondary" height="24" align="right">
				<div style="padding: 3px;"><?PHP echoNavigation('horiz'); ?>&nbsp;&nbsp;</div>
				</td>
			</tr>
			<!-- end navigation -->
			
			<!-- end header -->
			<?PHP } ?>
			<tr>
			<td colspan="2" valign="top">
