<?PHP

//$sxThemeConfig[''] = ;

$sxThemeConfig = array();

$sxThemeConfig['FirstDayOfWeekShift'] 				= 0;	// Set to 0 for Sunday as first day, 1 for Monday as first day of calendar week

//// admin options ////
$sxThemeConfig['AdminElementsPerPage']				= 20;   // admin area - default "per page" setting for all other admin functions
$sxThemeConfig['AdminEventsPerPage'] 				= 20;	// admin area - number of events per page
$sxThemeConfig['AdminJournalsPerPage'] 				= 15;	// admin area - number of journal entries per page
$sxThemeConfig['AdminGuestbookEntriesPerPage']	 	= 5;	// admin area - number of guestbook entries per page
$sxThemeConfig['AdminUsersPerPage'] 				= 15;	// admin area - number of users per page
$sxThemeConfig['AdminKeepAlive'] 					= 60;	// admin area - in seconds, how often a background refresh will happen while editing in WYSIWYG. This will stop you losing data when doing lengthy edits.
$sxThemeConfig['AdminSchemeClone']					= 0; 	// admin area - allow scheme cloning if 1, disable if 0
$sxThemeConfig['AdminShowHelp']           			= 0; 	// admin area - show help section (Wiki, FAQs, Forum etc)
$sxThemeConfig['MetaIgnorePages']					= "login.php, signup.php, comments.php, forums_post.php, guestbook_sign.php, logout.php, password.php, admin/profile_view.php"; //pages which you do not want to be indexed by search engines

//// Contact Options ////
$sxThemeConfig['ContactFormTypes'] 					= array("Feedback", "Question");	//Contact form pull-down entries (email subject)

//// Events Options ////
$sxThemeConfig['EventsPerPage'] 					= 15;				// number of events per page
$sxThemeConfig['EventsSimpleMode'] 					= 1;				// 0 = show events in full detail, 1 = show events in simple form

//// Forum Options ////
$sxThemeConfig['ForumAllowedTags'] 					= '<a> <strong> <b> <em> <code> <ul> <ol> <li> <dl> <dt> <dd> <br> <p> <hr> <img> <span>';	//controls which tags can be used in forum posts
$sxThemeConfig['ForumOrder'] 						= 'ASC';  			// controls sort order of forum. ASC = ascending (first post at top), DESC = descending (latest post at top)
$sxThemeConfig['AvatarCompression']	 				= 90;				//compression ratio for avatars (pics) in forums - 10=low quality, 100=high quality

//// Homepage Options ////
$sxThemeConfig['Homepage'] 							= 'index.php';		// you can chose any page to be your home page (the first page visitors will see)
$sxThemeConfig['HomepageJournalEntries'] 			= 4;				// number of journal entries to show on homepage
$sxThemeConfig['HomepageJournalStringLimit']		= 300;				// number of characters the journal entries on homepage will display before truncating.
$sxThemeConfig['HomepageJournalStripTags']			= 1;				// Set to 1 to strip tags, 0 to keep them (not recommended because tags may clip causing HTML/JS problems)
$sxThemeConfig['HomepageCommentsStringLimit']		= 20;				// number of characters the recent comments on homepage will display before truncating.
$sxThemeConfig['ShowSearchType']					= 3; 				// set the preferred search model: 1 = google/this site pull-down. 2 = traditional box and button. 3. box only.
$sxThemeConfig['HomepageThumbHeight']				= 75; 				// set the height in pixels of the thumbnails on homepage

//// Timeout Options ////
$sxThemeConfig['OnlineTimeInSeconds']	 			= 300;				// 5 minutes time for visitor stats (if no activity for more than the set time, user is no longer considered online and therefore is not counted in stats)

//// Newsfeed Options ////
$sxThemeConfig['RSSDescriptionStringLimit']		 	= 150;				// number of characters from each journal to display in the RSS feed
$sxThemeConfig['RSSNumJournals'] 					= 3;				// number of journals to display in the RSS feed

//// Security Options (Captcha) ////
$sxThemeConfig['SecurityImageColorBackground'] 		= '#444444'; 		// background color of security image
$sxThemeConfig['SecurityImageColorLine'] 			= '#666666'; 		// line color of security image
$sxThemeConfig['SecurityImageColorText'] 			= '#DDDDDD'; 		// text color of security image

/// Layout Options ////
$sxThemeConfig['ContentWidth'] 						= 650;				// Pixels - width of content area (right of main menu)

/// Gallery Options ///
$sxThemeConfig['GalleryAlbumThumbPos']      		= 'center'; 		// album.php - position of thumbnail relative to album text. values: left, right, center
$sxThemeConfig['GalleryAlbumThumbAlign']    		= 'center'; 		// album.php - set alignment of photo thumbs in columns when AlbumThumbPos is set to 'center'. values: left, right, center
$sxThemeConfig['GalleryAlbumThumbAlignVert']     	= 'bottom'; 		// album.php - set vertical alignment of thumbnail row. values: top, middle, bottom
$sxThemeConfig['GalleryAlbumThumbBox']     			= '0'; 				// album.php - places thumbnail in a square box to look like a 35mm slide (change above setting also to middle). values: 1 or 0
$sxThemeConfig['GalleryAlbumHideData']     			= '0'; 				// album.php - hide entire album data at top of page. values: 1, 0
$sxThemeConfig['GalleryThumbPos']      				= 'left'; 			// pictures.php - position of thumbnail relative to album text. values: left, right, center
$sxThemeConfig['GalleryThumbAlign']    				= 'left'; 			// pictures.php - set alignment of album thumbs in columns when GalleryThumbPos is set to 'center'. values: left, right, center
$sxThemeConfig['GalleryThumbAlignVert']     		= 'top'; 			// pictures.php - set vertical alignment of thumbnail row. values: top, middle, bottom
$sxThemeConfig['GalleryThumbBox']     				= '0'; 				// pictures.php - places thumbnail in a square box to look like a 35mm slide (change above setting also to middle). values: 1 or 0
$sxThemeConfig['GalleryHideData']     				= '0'; 				// pictures.php - hide entire gallery data at top of page. values: 1, 0
$sxThemeConfig['GalleryPhotoBox']     				= '0'; 				// photo.php - places photo in a square box and centers it horizontally and vertically. values: 1 or 0
$sxThemeConfig['GalleryPhotoHideData']     			= '0'; 				// photo.php - hide entire photo data block on photo.php (including comments and keywords). values: 1, 0

//// Joombo Theme Options ////
$sxThemeConfig['SiteWidth'] 						= 800;				// Pixels - width of site
$sxThemeConfig['BoxWidth'] 							= 800;				// Pixels - overall width of the site
$sxThemeConfig['MenuWidth'] 						= 150;				// Pixels - width of left menu
$sxThemeConfig['rtMenuWidth'] 						= 198;				// Pixels - width of right menu (recent topics etc..)
$sxThemeConfig['SiteAlign'] 						= 'center';			// left, right, center
$sxThemeConfig['SitePadding']						= 20;  				// Pixels - space around the site's bounding box
$sxThemeConfig['SiteHeight'] 						= 500;				// Pixels - sets the minimum height of the site for consistency
$sxThemeConfig['SiteBaseColor']						= '#ffffff'; 		// name or hex value - sets the colour of the page outside of the bounding box
$sxThemeConfig['SiteBorderColor']					= '#c0c0c0';		// name or hex value - sets the border colour of the bounding box
$sxThemeConfig['MenuHoverColor']					= '#ffffff';		// name or hex value  - sets the colour of the hover in the menu
$sxThemeConfig['BlogScrollHeight'] 					= 250;				// Pixels - sets the height of the scrolling blog box on homepage
$sxThemeConfig['BlogScrollWidth'] 					= 440;				// Pixels - sets the height of the scrolling blog box on homepage
$sxThemeConfig['EnableSitemap']						= 0;				// adds sitemap link in footer, and enables sitemap.php 0 = no, 1 = yes

?>
