<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<title><?PHP echo $sxSetup['SiteName']; if (strlen($sxTitleAddendum) > 0) echo ' - ' . $sxTitleAddendum; ?></title>
<?PHP echoMETA($page,htmlspecialchars(strip_tags($sxMetaAddendum))); ?> 

<link rel="stylesheet" type="text/css" href="<?PHP echo $sxSetup['Url']; ?>/includes/colorpicker/colorpicker.css" />
<!-- RSS feed autodiscovery -->
<link rel="alternate" type="application/rss+xml" title="<?PHP echo $sxSetup['Url']; ?> RSS Feed" href="content/rss.xml" />

<style type="text/css">
/* ************************
GENERAL HTML STYLES
************************* */
html {
	min-height: 100%;
	margin-bottom: 1px;
}
body,td,th {
	color: <?PHP echo $sxTheme['ColorText']; ?>;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
}
body {
	background-color: <?PHP echo $sxTheme['ColorPrimary']; ?>;
	margin-left: 0px;
	margin-top: 0px;
	margin-right: 0px;
	margin-bottom: 0px;
}
a:link {
	color: <?PHP echo $sxTheme['ColorLinks']; ?>;
}
a:visited {
	color: <?PHP echo $sxTheme['ColorLinksVisited']; ?>;
}
a:hover {
	color: <?PHP echo $sxTheme['ColorLinksHover']; ?>;
}
a:link img {
	border: 1px solid <?PHP echo $sxTheme['ColorLinks']; ?>;
}
a:visited img {
	border: 1px solid <?PHP echo $sxTheme['ColorLinksVisited']; ?>;
	}
a:hover img {
	border: 1px solid <?PHP echo $sxTheme['ColorLinksHover']; ?>;
	}
ul {
	margin: 2px;
	list-style: square; 
	margin-left: 20px;
	padding-left: 0;
}
input, select, textarea {
	line-height: 12px;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 10px;
}
h1 {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	font-weight: bold;
	padding:0px;
}
legend {
	color: <?PHP echo $sxTheme['ColorPrimary']; ?>;
	font-weight: bold;
}
/* ************************
SITEX CORE STYLES
************************* */

a.tableColumn:hover {
       color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
       text-decoration: none;
}

a.tableColumn:link {
       color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
       text-decoration: underline;
        font-size:11px;
}
a.tableColumn:visited {
       color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
       text-decoration: underline;
    font-size:11px;
}
.noscript {
	font-size: 11px;
	color: red;
	text-align: center;
	padding-bottom:15px;
}
.sitename {
	font-size: 16px;
	font-weight: bold;
	color: <?PHP echo $sxTheme['ColorSiteName']; ?>;
	padding-bottom: 10px;
}
.navigation {
	font-weight: bold;
	text-decoration: none;
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
}
a.navigation:link {
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
	text-decoration: none;
}
a.navigation:visited {
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
	text-decoration: none;
}
a.navigation:hover {
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
	text-decoration: none;
}
.textSecondary {
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
}

.loginText {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
}
.login {
	width: 100px;
}
.lastupdated {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 10px;
	font-style: italic;
	color: #666666;
}
/* gallery layout styles */
.sxGalleryThumb {
  <?php if ($sxThemeConfig['GalleryThumbBox'] == 1) { ?>
  	height: <?PHP echo $sxSetup['GalleryMaxDimensionThumb']+2; ?>px;
  	width: <?PHP echo $sxSetup['GalleryMaxDimensionThumb']+2; ?>px;
  <?php } ?>	
	text-align: center;
}
.sxAlbumThumb {
  <?php if ($sxThemeConfig['GalleryAlbumThumbBox'] == 1) { ?>
  	height: <?PHP echo $sxSetup['GalleryMaxDimensionThumb']+2; ?>px;
  	width: <?PHP echo $sxSetup['GalleryMaxDimensionThumb']+2; ?>px;
  <?php } ?>
	text-align: center;		
}
.sxGalleryThumbnailContainer {
  margin:5px;
  padding: 5px;
  <?php if ($sxThemeConfig['GalleryThumbBox'] == 1) { ?>
  border: 1px solid <?PHP echo $sxTheme['ColorPrimary']; ?>;
  padding: 10px;
  background: <?PHP echo $sxTheme['ColorBackground']; ?>;
  <?php } ?>
}
.sxAlbumThumbnailContainer {
  margin:5px;
  padding: 5px;
  <?php if ($sxThemeConfig['GalleryAlbumThumbBox'] == 1) { ?>
  border: 1px solid <?PHP echo $sxTheme['ColorPrimary']; ?>;
  padding: 10px;
  background: <?PHP echo $sxTheme['ColorBackground']; ?>;
  <?php } ?>
}
.sxPhotoContainer {
  <?php if ($sxThemeConfig['GalleryPhotoBox'] == 1) { ?>
  	height: <?PHP echo $sxSetup['GalleryMaxDimensionPhoto']+2; ?>px;
  	width: <?PHP echo $sxSetup['GalleryMaxDimensionPhoto']+2; ?>px;
  <?php } ?>	
	text-align: center;
}
/* sets photo.php photo style properties
see theme config $sxThemeConfig['PhotoCenter']
 */
.sxScaledPhoto {
  margin:5px;
  padding: 5px;
  display: table-cell;
  vertical-align: middle;
  position:relative;
  top:-1px;
  left:-1px;
  <?php if ($sxThemeConfig['GalleryPhotoBox'] == 1) { ?>
  border: 1px solid <?PHP echo $sxTheme['ColorPrimary']; ?>;
  padding: 10px;
  background: <?PHP echo $sxTheme['ColorBackground']; ?>;
  <?php } ?>
}
.pageTurns {
	padding-top:8px;
	padding-bottom:8px;
	padding-left:10px;
	padding-right:10px;
	text-align:center;
	font-size:10px;
}
.sxGalleryLayout{

}
.sxAlbumDescription {
	margin-top: 7px;
	text-align: left;
}
.sxPhotoDescription {

}
.galleryData {
	font-size: 11px;
	color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
	background-color: <?PHP echo $sxTheme['ColorTable']; ?>;
	background-position: center;
	text-align: center;
	padding: 5px;
}
/* end gallery layout styles */

.tableColumn {
    font-size: 11px;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    color: <?PHP echo $sxTheme['ColorTextTable']; ?>; 
    background-color: <?PHP echo $sxTheme['ColorTable']; ?>;
    text-align: left;
}
td.tableColumn {
    color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
    text-align: left; 
    font-size:11px;
}
.message {
	font-size: 11px;
	color: #777777;
	text-align: center;
	padding-bottom:15px;
}
.sxAdminWarning {
	color: #000000;
	text-align: center;
	padding:4px;
	background: #FEFFE0;
	margin-top: -8px;
}
.sxAdminWarning a {
	color: #000000;
	text-decoration: underline;
}
.sxWarningTitle {
font-weight: bold;
text-align: center;
}
.bodyWrapper {
	padding-left:25px;
	padding-right:25px;
}

.journalReadmore {
	text-align:right;
}
.journalDate {
    color: #999999;
    font-weight: bold;
    text-decoration:none;
}
.journalControls {
    font-size: 10px;
    font-weight: bold;
    padding-top: 5px;
    text-align: left;
}
.journalAdd {
    font-size: 11px;
    font-weight: bold;
    padding-top: 5px; 
    padding-bottom: 5px;
    text-align: right;
}
.journalHead {

}
.journalTitle {
    font-size: 11px;
    font-weight: bold;
}
.journalBy {
    font-size: 10px;
    font-weight: normal;
    margin-right: 4px;
    text-align: right;
}
.journalEntry {
padding-top: 5px;
overflow: auto;
}
.journalComments {
padding-bottom:10px;
text-align: right;
}
.commentBy {
    font-size: 10px;
    font-weight: normal;
    margin-left: 4px;
    text-align: left
}
.eventDate {
	color: #999999;
	font-weight: bold;
	padding-top: 15px;
}
.eventNameLong {
	color: <?PHP echo $sxTheme['ColorLinks']; ?>;
	font-weight: bold;
	font-size: 13px;
}
.eventDescription {
	padding-top: 10px;
	padding-bottom: 10px;
}
.eventAdminLinks {
	padding-bottom: 15px;
}
.shadowText {
	color: #999999;
}
.td_background {
	background-color:<?PHP echo $sxTheme['ColorBackground']; ?>;
}
.td_primary {
	background-color:<?PHP echo $sxTheme['ColorPrimary']; ?>;
}
.td_secondary {
	background-color:<?PHP echo $sxTheme['ColorSecondary']; ?>;
}
.loggedInInfo {
	padding: 5px;
	color: <?PHP echo $sxTheme['ColorSiteName']; ?>;
}
.accountLinks {
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
	text-decoration:underline;
}
.footerText {
	color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
	font-size: 10px;
}
.td_dot_bg {
	background: url(<?PHP echo $sxSetup['Url'].'/themes/'.$THEME_FOLDER.'/'; ?>images/bg_dots.gif);
}
.td_graddown_bg {
	background: url(<?PHP echo $sxSetup['Url'].'/themes/'.$THEME_FOLDER.'/'; ?>images/bg_gradient_down.jpg);
}
.td_gradup_bg {
	background: url(<?PHP echo $sxSetup['Url'].'/themes/'.$THEME_FOLDER.'/'; ?>images/bg_gradient_up.jpg);
}
.postedBy {
	font-size: 11px;
	font-weight: bold;
}
.pageTurns{
	padding-top:8px;
	padding-bottom:8px;
	font-size:10px;
}
.eventTodayColor {
	background-color: <?PHP echo $sxTheme['ColorTable']; ?>;
}
.eventOffdayColor {
	background-color: <?PHP echo $sxTheme['ColorBackground']; ?>;
}
.eventCalendar {
	background-color: <?PHP echo $sxTheme['ColorTextSecondary']; ?>;
}
.sxTdItem {
	font-weight: bold;
	text-align: right;
	vertical-align: top;
	padding-top:8px;
	padding-right:5px;
}
.sxSection {
	font-size: 10px;
	margin-top: 20px;
	margin-bottom: 20px;
	padding-top: 5px;
	border-top-style:solid;
	border-top-width:1px;
	border-top-color: <?PHP echo $sxTheme['ColorText']; ?>;
}
.sxSmallText {
	font-size: 10px;
	font-weight: normal;
}
.sxLargeText {
	font-size: 16px;
	font-weight: bold;
}
.sxTextHighlight{
background: yellow;
color: black;
}
a.sxTextHighlight: link, visited, hover {
background: yellow;
color: black;
text-decoration: underline;
}
.pageContent {
padding-bottom: 10px;
}
.sxTableColorText {
	color: <?PHP echo $sxTheme['ColorTextTable']; ?>
}
.sxTdTableRow {
	background-color: <?PHP echo $sxTheme['ColorTableRow']; ?>;
}
.sxAutolink {
	width:565px;
	text-align:center;
	background:#EFEFDE;
	padding:5px;
	color:#000000;
}
.sxMainMode {
width:400px;
padding:4px;
margin-left: auto;
margin-right: auto;
background: #FFFFFF;
color: red;
font-size: 11px;
text-align: center;
border: 1px solid #c0c0c0;
}
.sxMainMode a {
color: red;
text-decoration: underline;
}
.sxCommentsTable {
	border-color: <?PHP echo $sxTheme['ColorTable']; ?>;
	border-style:solid;
	border-width: 3px;
}
.sxCommentsTableHeader {
	color: <?PHP echo $sxTheme['ColorTextTable']; ?>;
	background: <?PHP echo $sxTheme['ColorTable']; ?>;
	padding: 5px;
}
.sxAdminBreadcrumbs {
	font-size: 10px;
	margin-bottom: 10px;
	margin-top: -8px;
}
.sxRandomPhotos img{
height: <?PHP echo $sxThemeConfig['HomepageThumbHeight']; ?>px;
}
.sxPollName {
	padding-top: 5px;
}
.sxPollPercent { 
	position: relative;
	bottom: 2px;
	font-size: 10px;
}
.sxHomepageItemName {
	font-weight: bold;
	padding-top:0px;
	padding-right:25px;
	width:200px;
}
.sxNoborder {
	border: 0px;
}
.sxMiddle {

}
.sxButton {

}
/* ************************
THEME STYLES (add your own classes below this)
Prefix class names with theme name e.g. .structure_myclass
************************* */
.loginform
{
	margin: 0;
 	padding: 0;
}

</style>
</head>
<body>
<?PHP sxMaintenanceModeMessage(); ?>
<?PHP if(!$reviewMode){ ?>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td>
      <p>&nbsp;</p>
      <table width="650" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr><td colspan="3" class="sitename"><?PHP if($sxTheme['ShowSiteName'] == 1) echo $sxSetup['SiteName']; ?></td></tr>
		<tr>
          <td<?PHP if(getTitlePicture()){ $filenameTitle = getTitlePicture(); echo ' width="' . getTitleWidth($filenameTitle) . '"'; } ?> class="td_secondary"><?PHP if(getTitlePicture()) { ?><img src="<?PHP echo $sxSetup['Url'].'/'; ?>content/title_pictures/<?PHP echo $filenameTitle; ?>" width="<?PHP echo getTitleWidth($filenameTitle); ?>" height="<?PHP echo getTitleHeight($filenameTitle); ?>" alt="<?PHP echo getTitleName($filenameTitle); ?>" /><?PHP } ?></td>
          <td valign="bottom" class="td_secondary">
			<div style="padding-left:10px;padding-bottom:10px;padding-right:10px;padding-top:10px;">
			<?PHP echoNavigation('vert'); ?>
			</div>
          </td>
          <td valign="top" class="td_secondary">
            <table width="100%" border="0" cellspacing="0" cellpadding="10">
              <tr>
                <td align="right"><p class="textSecondary"><?PHP echo $sxSetup['TextHeader']; ?></p>
				<p class="textSecondary"><strong><?PHP echo getVisitors().'&nbsp;'.$sxLang['Visitors']; ?></strong></p>
                  <?PHP if(!loggedIn()){ ?>
				  <?PHP if($sxSetup['ShowLogin']){ ?>				  
				  <form class="loginform" action="<?PHP echo "http://{$HTTP_HOST}{$REQUEST_URI}"; ?>" method="post" enctype="multipart/form-data" name="sxLogin">
				  <table border="0" cellspacing="0" cellpadding="1">
                    <tr> 
                      <td align="right" class="loginText"><?PHP echo $sxLang['UserItemUsername']; ?>:</td>
                      <td><input class="login" name="username" type="text" maxlength="35" /></td>
                    </tr>
                    <tr>
                      <td align="right" class="loginText"><?PHP echo $sxLang['UserItemPassword']; ?>:</td>
                      <td><input class="login" name="password" type="password" maxlength="35" /></td>
                    </tr>
                    <tr> 
                      <td colspan="2" align="right">
					  <a href="<?PHP echo $sxSetup['Url'].'/'; ?>password.php"><span class="accountLinks"><?PHP echo $sxLang['HelpQ']; ?></span></a> 
                      <input type="submit" name="Login" value="<?PHP echo $sxLang['UserButtonLogin']; ?>" class="sxButton"/><?PHP if($sxSetup['AllowSignup']) { ?>
				      <br /><a href="signup.php"><span class="accountLinks"><?PHP echo $sxLang['UserButtonSignup']; ?></span></a>
                      </td>
                    </tr>
                  </table>
				  </form>
				  <?PHP } ?>
				  <?PHP }}else{ ?>
				  <p class="textSecondary"><?PHP echo $sxLang['WelcomeTxt1']; ?><strong><?PHP echo $HTTP_SESSION_VARS['username']; ?></strong><?PHP echo $sxLang['WelcomeTxt2']; ?><?PHP echo $sxSetup['SiteName']; ?>.<br />
				  <?PHP echo $sxLang['WelcomeTxt3']; ?><strong><?PHP echo $HTTP_SESSION_VARS['username']; ?></strong><?PHP echo $sxLang['WelcomeTxt4']; ?><a href="<?PHP echo $sxSetup['Url'].'/'; ?>logout.php?p=<?PHP echo urlencode("http://{$HTTP_HOST}{$REQUEST_URI}"); ?>"><span class="accountLinks"><?PHP echo $sxLang['WelcomeTxt5']; ?></span></a><?PHP echo $sxLang['WelcomeTxt6']; ?>
				  <br /><?PHP if(userAdmin()){ ?><br /><a href="<?PHP echo $sxSetup['Url'].'/admin/'; ?>"><span class="accountLinks"><?PHP echo $sxLang['AdminPanel']; ?></span></a><?PHP } ?>
				  <br /><a href="<?PHP echo $sxSetup['Url'].'/admin/profile.php'; ?>"><span class="accountLinks"><?PHP echo $sxLang['Profile']; ?></span></a></p>
			   <?PHP }?>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table></td>
  </tr>
  <tr> 
    <td class="td_dot_bg"><table width="650" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr> 
          <td height="33" class="td_graddown_bg">&nbsp;</td>
        </tr>
		<tr>
		  <td class="td_background">
		  <!-- end header --><?PHP } ?>